/*****************************************************************************
 * 
 *  jsMath: Mathematics on the Web
 *  
 *  This jsMath package makes it possible to display mathematics in HTML pages
 *  that are viewable by a wide range of browsers on both the Mac and the IBM PC,
 *  including browsers that don't process MathML.  See
 *  
 *            http://www.math.union.edu/locate/jsMath
 *
 *  for the latest version, and for documentation on how to use jsMath.
 *
 *  Copyright 2004-2007 by Davide P. Cervone
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *  
 *****************************************************************************/

if (!window.jsMath) {jsMath = {}}
if (!jsMath.Script) {jsMath.Script = {}}

jsMath.Script.Uncompress = function (data) {
  for (var k = 0; k <  data.length; k++) {
    var d = data[k]; var n = d.length;
    for (var i = 0; i < n; i++) {if (typeof(d[i]) == 'number') {d[i] = d[d[i]]}}
    data[k] = d.join('');
  }
  eval(data.join(''));
}

//start = new Date().getTime();
jsMath.Script.Uncompress([
  ['if(!','window','.jsMath','||!',1,'.','jsMath.','loaded','){var ','jsMath_old','=',1,2,';',0,'document.','getElementById','||!',15,'childNodes||!',15,'createElement','){','alert("','The',' mathematics ','on this page requires W3C DOM support in its JavaScript. Unfortunately, your ','browser',' doesn\'t seem to have this.")}','else{',1,2,'={version:"3.5",document:document,',1,':',1,',','platform',':(','navigator.',37,'.match(/','Mac/)?"mac":',39,37,41,'Win/)?"pc":"unix"),','sizes',':[50,60,70,85,100,120,144,173,207,249],','styles',':{".math','":"font-family:serif; font-style:normal; font-weight:normal','",".typeset',51,'; line-height:normal',';","div','.typeset','":"text-align',':center; margin:1em 0px;","span',56,57,':left',52,' span',57,61,'; border:','0px; margin:0px','; padding',':0px;",".typeset .','normal',51,'",".typeset .','size0','":"font-size:','50','%",".typeset .','size1',74,'60',76,'size2',74,'70',76,'size3',74,'85',76,'size4',74,'100',76,'size5',74,'120',76,'size6',74,'144',76,'size7',74,'173',76,'size8',74,'207',76,'size9',74,'249',76,'cmr10','":"font-family:jsMath-',113,', serif',72,'cmbx10',114,118,', ','jsMath-cmr10',72,'cmti10',114,124,', ',122,72,'cmmi10',114,130,72,'cmsy10',114,134,72,'cmex10',114,138,72,'textit":"','font-family',':serif; ','font-style:italic',72,'textbf":"',143,':serif; font-weight:bold',72,'link":"','text-decoration:none',72,'error',74,'10pt; ',145,'; ','background-color',':#FFFFCC',68,':1px',66,'1px solid',' #CC0000',72,'blank','":"','display:inline-block','; ','overflow:hidden',66,'0px none; width:0px; height',69,'spacer','":"',169,'","#jsMath_hiddenSpan":"','visibility',':','hidden','; ','position:absolute','; top:0px',';left:0px',54,'; text-indent:0px","#','jsMath_message','":"','position:fixed','; bottom:1px; ','left:2px; ',159,':#E6E6E6','; border:solid 1px #959595; margin:0px; padding:','1px 8px','; z-index:102; color',': black','; font-size:','small; ','width:auto',';","#','jsMath_panel','":"',190,'; bottom:1.5em; right:1.5em','; padding:.8em 1.6em; ',159,':#DDDDDD; border:outset ','2px; z-index:103; ',201,'; color:black',199,'10pt; font-style:normal","#',203,' .disabled":"color:#888888","#',203,' .infoLink',74,'85%","#',203,' *":"','font-size:inherit; font-style:inherit; font-family:inherit',54,'","#',203,' div":"',159,':inherit; color:inherit;","#',203,' span":"',159,229,203,' td','":"border:0px; padding:0px; margin:0px; background-color:inherit; color:inherit;","#',203,' tr',236,203,' table',236,'jsMath_button','":"',190,191,'right:2px; ',159,':white',195,'0px 3px 1px 3px',197,':black; ',152,199,'x-small; ',201,'; cursor:hand;","#',243,222,'padding:0px',66,'0px; margin:0px',54,'; ',223,'","#jsMath_global":"',145,';","#jsMath_float','":"',183,184,'; left:0px; max-width:80%; z-index:101; ',201,'; height:auto',269,' .drag":"',159,209,'1px; height:12px',199,'1px',269,' .close":"',159,':#E6E6E6',66,'inset 1px; width:8px; height:8px; margin:1px 2px',269,' .source":"',159,':#E2E2E2',66,'outset 1px; ',201,275,68,':8px 15px; ',143,':courier, fixed',199,'90%","#jsMath_noFont .message',57,': center',207,'border:3px solid #DD0000; ',159,':#FFF8F8; color: #AA0000',199,'small; ',201,202,'jsMath_noFont .link','":"',261,' 5px 2px 5px',66,'2px outset; ',159,':#E8E8E8; color:black',199,'80%; ',201,258,'jsMath_PrintWarning',' .message',57,':center',207,'border:3px solid #DD0000; ',159,': #FFF8F8; color: #AA0000',199,'x-small; ',201,';","@media print":"#',243,' {display:none','}\\n#jsMath_Warning',338,'}","@media screen":"#',325,338,'}"},Element',':function(','A','){return ',6,15,16,'("jsMath_"+A)},','BBoxFor',345,'A','){this.','hidden.innerHTML','=\'<nobr><','span class="','typeset"><',358,'scale">\'+A+"</span></span></nobr>";var B={w:this.',181,'.offsetWidth',',h:this.',181,'.offsetHeight','};this.',356,'="";return B},EmBoxFor',345,'B){var A=',6,'Global.cache.R;if(!A[this.em]){A[this.em]={}}if(!A[this.em][B]){var C=this.BBoxFor(B);','A[this.em][B]={w:C.w/this.em,h:C.h/this.em}}return A[this.em][B]},','EmBoxForItalics',345,371,6,373,'if(B.match(/<i>|class=\\"(icm|italic|igreek|iaccent)/i)){C.w=C.Mw=','this.BBoxFor','(B+',6,'Browser.','italicString',').w-',6,384,'italicCorrection','}',374,'Init',':function(){','if(',6,'Setup.inited','!=1){',0,6,396,'){',6,'Setup.','Body()}if(',6,396,'!=1){if(',6,396,'==-100','){return }',23,'It looks like jsMath failed to set up properly (error code "+',6,396,'+").  I will try to keep going, but it could get ugly.");',6,396,'=1}}this.em=this.CurrentEm();','var A=',6,'Global.cache','.B;',0,'A[this.em]){A[this.em]={};','A[this.em].','bb=',381,'("x");','var C=',426,'bb.h;',426,'d=',381,'("x"+',6,'HTML.Rule(1,','C/',6,'em)).h-C;if(',6,384,385,'){',426,'ic=',6,352,'(',6,384,385,').w}}',6,384,389,'=',426,'ic;var F=',426,'bb;var D=F.h;var E=',426,'d;this.h=(D-E)/this.em;this.d=E/this.em;this.hd=this.h+','this.d;this.',403,'TeXfonts','();var B=this.EmBoxFor(\'<',358,113,'">M</span>\').w/2;this.TeX.M_height=B*(26/14);this.TeX.h=this.h;this.TeX.d=',465,'TeX.hd=this.hd;this.Img.Scale();',0,'this.initialized',355,403,'Sizes','();this.','Img.UpdateFonts()}this.p_height=(','this.TeX.cmex10[0].','h+',481,'d)/0.85;',475,'=1},ReInit',393,'if(this.','em!=this.CurrentEm()){this.Init()}},CurrentEm',393,420,381,'(\'<span style="\'+',6,384,'block+\';','width:13em;height:1em','"></span>\').','w/13;if(A>0',347,'A}return ',381,'(\'<img src="\'+',6,167,'+\'" style="',497,'"/>\').w/13},Loaded',393,'if(',9,8,'B=["Process","ProcessBeforeShowing","ConvertTeX","ConvertTeX2","ConvertLaTeX","ConvertCustom","CustomSearch","Synchronize","Macro","document"];','for(var A=0;A<','B','.length;A++){','if(',9,'[B[A]]){','delete ',9,'[B[A]]}}}if(',9,355,'Insert(jsMath,',9,')}',9,'=null;',6,7,'=1},Add',345,'C,A){for(var B in A){','C[B]=A[B]}},Insert',345,534,'if(C[B]&&typeof (A[B])=="object"&&(','typeof (C[B])=="','object"||',539,'function")){this.Insert(C[B],A[B])}',29,'C[B]=A[B]}}},Package',345,'B,A',355,'Insert(B.prototype,A)}};',6,'Global={isLocal:1,cache:{','T:{},D:{},R:{},B',':{}},ClearCache',393,6,422,'={',551,':{}}},GoGlobal',345,371,'String(',6,1,'.','location);var C','=(',6,'isCHMmode','?"#":"?");if(B){A=A.replace(/\\?.*/,"")+"?"+B}',6,'Controls.','Reload(',6,'root+"jsMath-','global.html"+C+escape(A))},Init',393,'if(',6,'Controls.cookie.','global=="always"&&!',6,'noGoGlobal','){if(',39,'accentColorName',411,0,6,1,'){',6,1,'=',1,'}',6,571,7,'=1;',6,571,'defaults.hiddenGlobal=null;this.GoGlobal(',6,571,'SetCookie(2))}},Register',393,420,6,1,'.parent;',0,6,'isCHMode){',6,568,'=(',6,1,'.','location.','protocol=="mk:")}try{',0,6,568,355,'Domain()}if(A',2,'&&A.',6,'isGlobal){A.',6,'Register(',6,1,')}}catch(B){',6,582,'=1}},Domain',393,'if(',39,'appName=="Microsoft Internet Explorer"&&',6,37,'=="mac"&&',39,'userProfile','!=null',411,'if(',1,'==parent',411,'var B=',6,15,'domain;try{while(true){try{if(parent.',15,'title',648,'){return }}','catch(A){}',0,15,'domain.match(/\\..*\\./)){break}',6,15,'domain=',6,15,'domain.replace(/^[^.]*\\./,"")}}',662,6,15,668,'B}};',6,'Script={request:null,Init',393,'if(!(',6,579,'asynch&&',6,579,'progress',')){if(',1,'.XMLHttpRequest','){try{','this.request','=new XMLHttpRequest}catch(C){}if(',691,'&&',6,'root.match','(/^file:\\/\\//)){try{',691,'.open("GET",',6,'root+"',6,'js",false);',691,'.send(null)}catch(','C){',691,'=null;if(',1,'.postMessage',355,'mustPost=1;',6,1,'.addEventListener("message",',6,'Post.','Listener,false)}}}}',0,691,'&&',1,'.','ActiveXObject',8,'A=["MSXML2.XMLHTTP.5','.0","MSXML2.XMLHTTP','.4',727,'.3',727,'","Microsoft.XMLHTTP"];','for(var B=0;B<','A.length&&!',691,';B++){try{',691,'=new ',724,'(A[B])}catch(C){}}}}',0,691,'||',6,403,'domainChanged',355,'Load=this.delayedLoad;this.needsBody=1}},Load',345,'B,A){','if(A){',6,'Message.Set("Loading "+','B);',6,'Script.','Delay(1);',6,'Script.Push(','this,"xmlRequest",B',');',6,759,6,'Message',',"Clear")}',29,6,759,760,')}},xmlRequest',345,'url){','this.blocking','=1;try{',691,699,'url,false);',691,705,'err){',774,'=0;if(',6,'Translate.','restart&&',6,'Translate.asynchronous){return""}throw"jsMath can\'t load the file \'"+url+"\'\\','nMessage: "+err.message}if(',691,'.status',648,'&&(',691,791,'>=400||',691,791,'<0)){',774,'=0;if(',6,785,'restart&&',6,788,'nError status: "+',691,791,'}',0,'url','.match(/\\.js$/)){','return(',691,'.responseText',')}var tmpQueue','=this.queue;this.queue','=[];',6,1,'.eval(',691,816,');',774,'=0;','this.queue=this.queue.concat(','tmpQueue);this.Process();return""},cancelTimeout:30*1000,blocking:0,cancelTimer:null,needsBody:0,queue:[],Synchronize',345,'A,B){','if(typeof (','A)!="string"){',6,759,'null,A,B)}',29,6,759,6,1,',"eval",A)}},Push',345,'A,C,B',355,'queue[','this.queue.length',']=[A,C,B];if(!(',774,'||(this.needsBody&&!',6,15,'body))){this.Process()}},Process',393,'while(',847,'&&!',774,8,'C=this.queue[0];this.queue=this.queue.slice(1);',420,'this.SaveQueue();var B=C[0];var E=C[1];var D=C[2];if(B){B[E](D)}',29,'if(E){E(D)}}this.','RestoreQueue','(A)}},SaveQueue',393,'var A',818,'=[];return A},',865,345,'A){',828,'A)},delayedLoad',345,'A',355,'Push(','this,"','startLoad','",A)},',881,345,'A',8,'B=',6,15,21,'("iframe");B.style.',179,'="',181,'";B.style.position="absolute";B','.style.width="','0px";B','.style.height="','0px";if(',6,15,'body.firstChild','){',6,15,'body.insertBefore(','B,',6,15,902,')}',29,6,15,'body','.appendChild(','B)}',774,'=1;this.','url=A;if(A.substr(0,',6,'root.length',')==',6,'root){A=A.substr(',6,922,')}',6,753,'A);this.cancelTimer=setTimeout("',6,756,'cancelLoad','()",this.cancelTimeout);',488,'mustPost){','B.src=',6,717,881,'(A,B)}',29,'if(A',813,938,6,574,'loader.html"}',29,938,'this.url}}},','endLoad',345,'A){if(this.cancelTimer){clearTimeout(this.cancelTimer);this.cancelTimer=null}',6,717,953,'();',6,765,'.Clear();if(A!="cancel"){',774,'=0;this.Process','()}},Start',393,'this.tmpQueue',818,'=[]},End',393,828,967,');',520,967,'},',934,345,'B,',955,'if(B==null){B="Can\'t load file"}if(A==null){A=2000}',6,765,'.Set(B);setTimeout(\'',6,756,953,'("cancel")\',A)},Delay',345,'A){',774,'=1;setTimeout("',6,756,'endDelay','()",A)},',995,393,774,964,'()},','imageCount',':0,WaitForImage',345,'B){',774,919,1002,'++;',488,'img==null',355,'img=[]}',420,'new Image',479,'img[this.img.length]=A;A.onload=function(){if(--',6,756,1002,'==0){',6,756,995,'()}};A.onerror=A.onload;A.onabort=A.onload;A.src=B},Uncompress',345,'data){for(var k=0;k<data.length;k++){var d=data[k];var n=d.length;for(var i=0;i<n;i++){',832,'d[i])=="number"){d[i]=d[d[i]]}}data[k]=d.join("")}',1,822,'data.join(""))}};',6,'Post={',1,':null,Listener',345,'D){if(D.source!=',6,717,1,411,'var E=D.origin;',420,15,'domain;if(','E==null||E==""){E','="localhost"}if(','A==null||A==""){A',1048,'E!=A||!','D.data.substr(','0,6).match(/jsM(CP|LD):/)){return }var B=',1052,'6,3).replace(/ /g,"");',430,1052,'10);if(',6,'Post.Commands[B',']){(',6,1060,'])(C)}},Commands:{SCR',345,'message){',6,1,822,'message)},ERR',345,'A){',6,756,934,'(A,3000)},BGN',345,'A){',6,756,'Start()},END',345,'A){',751,6,756,'End()}',6,756,953,'()}},',881,345,'A,B',355,1,'=B.contentWindow;',0,'A',813,'return ',6,'root+',501,6,574,'loader-post.html?"+A},',953,393,'this.',1,'=null}};',6,765,'={',167,':null,message:null,text:null,clear:null,Init',393,0,6,15,'body||!',6,579,686,411,'if(',6,403,'stylesReady){','this.message','=',6,'Setup.DIV("message",{visibility:"hidden','"})}',29,1131,'=',6,1134,'",position:"absolute",','bottom:"1px",left:"2px",','backgroundColor',':"#E6E6E6",border:"solid 1px #959595",margin:"0px",padding:"1px 8px",zIndex:102,color:"black",fontSize:"small",width:"auto"})}','this.text','=',6,15,'createTextNode','("");',1131,916,1145,');',1131,'.onmousedown=',6,785,'Cancel},Set',345,750,'if(this.clear){clearTimeout(this.clear',');this.clear=null}if(',6,579,686,'){',0,1145,355,'Init();',0,1145,661,'if(',6,384,'textNodeBug','){',1131,'.innerHTML','=B}',29,1145,'.nodeValue','=B}','this.message.style.',179,'="visible";',751,1187,'cursor="pointer";',0,1187,'cursor){',1187,'cursor="hand"}',1131,'.title=" Cancel Processing of Math "}',29,1187,'cursor="";',1131,'.title=""}}',29,'if(B.substr(0,8)!="Loading "){',6,1,791,'=B}}},Clear',393,1162,')}this.clear=setTimeout("',6,765,'.doClear()",1000)},doClear',393,488,'clear',355,'clear=null;',6,1,791,'="";',488,'text){',1145,1185,'=""}if(',1131,'){',1187,179,'="',181,'"}}},Blank',393,488,167,'||!',6,15,'body',411,'this.blank','=',6,403,'DIV("',167,'",{position:(',6,384,'msiePositionFixedBug','?"absolute":"fixed"),top:"0px",left:"0px",bottom:"0px",right:"0px",zIndex:101,',1143,':"white"});if(',6,384,'msieBlankBug){',1246,1181,'="&nbsp;";',1246,896,'110%";',1246,898,'110%"}},UnBlank',393,488,167,'){',6,15,'body.removeChild(',1246,')}',1246,'=null}};',6,'Setup={',7,':[],DIV',345,'D,B',8,'C=',6,15,21,'("div");C.id="jsMath_"+D;','for(var A in ','B){C.style[A]=B[A]}',0,6,15,'body.hasChildNodes){',6,15,'body',916,'C)}',29,6,15,906,'C,',6,15,902,')}return C},Script',345,750,488,7,'[B]){return }',29,'this.',7,'[B]=1}',0,'B.match("^([a-zA-Z]+:/?)?/")){B=',6,'root+B}',6,756,'Load(B,A)},Hidden',393,6,181,'=this.DIV("Hidden",{',179,':"',181,1141,'top:0,left:0,border:0,padding:0,margin:0});',6,'hiddenTop=',6,181,';return },Source',393,'if(',6,'Autoload','&&',6,1347,'.root){',6,'root=',6,1347,'.','root}',29,6,'root="";',420,6,15,'getElementsByTagName("','script");',751,733,'A.','length;B++){','var D=A[B].src;if(D&&D.match("(^|/|\\\\\\\\)',6,'js$")){',6,1353,'D.','replace(/',6,'js$/,"");break}}}}if(',6,'root.charAt(','0)=="\\\\"){',6,1353,6,'root.replace','(/\\\\/g,"/")}if(',6,1380,'0)=="/"){if(',6,1380,'1)!="/"){if(',6,15,620,'port){',6,'root=":"+',6,15,620,'port+',6,1357,6,'root="//"+',6,15,620,'host+',6,1357,6,1353,6,15,620,'protocol+',6,1357,29,0,6,696,'(/^[a-z]+:/i)){var D=','new String(',6,15,565,'=new RegExp("/[^/]*/\\\\.\\\\./");',6,1353,'D.replace(new RegExp("[^/]*$"),"")+',6,'root;while(',6,696,'(C)){',6,1353,6,1385,'(C,"/")}}}',6,'Img.',1353,6,701,'fonts/";',6,167,'=',6,701,167,'.gif";this.Domain()},Domain',393,'try{',6,15,'domain}catch(D',411,'var C="";',420,6,15,1046,6,696,'("://([^/]*)/")){C=RegExp.$1}C=C.replace(/:\\d+$/,"");if(C==""||C==A',411,'if(',39,'appName=="Microsoft Internet Explorer"&&',6,37,'=="mac"&&',39,'onLine&&',39,647,'&&',6,15,'all',411,'C=C.split(/\\./);A=A.split(/\\./);if(C.length<2||A.length<2||','C[C.length-','1',']!=A[A.length-','1]||',1488,'2',1490,'2]){this.','DomainWarning','();return }var E=',1488,'2]+"."+',1488,'1];for(var B=3;B<=C.length&&B<=A.',1369,'if(',1488,'B',1490,'B]){break}E=',1488,'B]+"."+E}',6,15,668,'E;this.',746,'=1},',1496,393,23,'In order for jsMath to be able to load the additional components that it may need, the ',6,'js file must be ',7,' from a server in the same domain as the page that contains it.  Because that is not the case for this page, the',25,'displayed here may not appear correctly.")},','EncodeFont',345,'C',8,'B=',6,'TeX[C];if(B','[0].c',648,411,514,'128;A++){var D=B[A];B[A]=D[3];if(B[A]==null){B[A]={}}B[A].w=D[0];B[A].h=D[1];if(D[2]!=null){B[A].d=D[2]}B[A].c=',6,'TeX.encoding[A]}},Fonts',393,733,6,'TeX.fam','.',1369,420,6,1543,'[B];if(A',355,1526,'(A)}}},TeXfont',345,'C',8,'B=',6,1532,'==null',411,420,6,'EmBoxFor(\'<span class="\'+C+\'">\'+B[65].c','+"</span>");B.hd=A.h;B.dh=0.05;B.d=',6,1563,'+',6,438,'B.hd)+"</span>").h-B.hd;B.h=B.hd-B.d;','if(C=="',130,'"){B.skewchar=','127}',29,1571,134,1573,'48}}},',467,393,514,6,1543,516,'if(',6,1543,'[A]){this.TeXfont(',6,1543,'[A])}}},Sizes',393,6,'TeXparams','=[];var B;var A;for(A=0;A<',6,47,516,6,1595,'[A]={}}for(B in ',6,'TeX){',832,6,'TeX[B])!="object"){for(A=0;A<',6,47,516,6,1595,'[A][B]=',6,47,'[A]*',6,'TeX[B]/100}}}},Styles',345,'A){',0,'A){A=',6,49,';A[".typeset .scale"]="font-size:"+',6,579,'scale+"%";this.stylesReady=1}',6,759,880,'AddStyleSheet','",A);if(',6,384,'styleChangeDelay','){',6,759,6,'Script,"Delay",1)}},',1632,345,'D',8,'B=',6,15,1364,'head")[0];var A="";for(var E in D){A+=E+" {"+D[E]+"}\\n"}if(',6,15,'createStyleSheet){B.insertAdjacentHTML("beforeEnd",\'<','span style="','display:none">x</span><style type="text/css">\'+A+"</style>")}',29,430,6,15,21,'("style");C.type="text/css";C',916,6,15,1149,'(A));B',916,'C)}},Body',393,488,'inited',411,'this.inited=-','1;',6,403,'Hidden();',1673,'2;',6,384,1171,1673,'3;if(',6,579,167,'){',6,765,'.Blank()}',1673,'4;',6,403,'Styles();',1673,'5;',6,571,1171,1673,'6;',6,759,6,'Setup,"User","pre-font");',1673,'7;',6,759,6,'Font,"Check");if(',6,'Font.register.length){',6,759,6,'Font,"LoadRegistered")}this.inited=1},User',345,'A){if(',6,'Setup.UserEvent[A',']){(',6,1723,'])()}},UserEvent:{"pre-font":null,onload:null}};',6,'Update={',467,345,'D){',1294,'D){for(var B in D[A]){for(var C in D[A][B]){',6,'TeX[A][B][C]=D[A][B][C]}}}},TeXfontCodes',345,'C){',1294,'C){',733,'C[A].',1369,6,'TeX[A][B].c=C[A][B]}}}};',6,'Browser={allowAbsolute:1,allowAbsoluteDelim:0,','separateSkips',':0,valignBug:0,operaHiddenFix:"",','msieCenterBugFix',':"",','msieInlineBlockFix',':"",msieSpaceFix:"",imgScale:1,renameOK:1,',1636,':0,delay:1,version:0,','TestSpanHeight',393,6,356,'=\'<span><','span style="\'+this.block','+\';height:2em;width:','1px"></span></span>\';var B=',6,'hidden.firstChild;',420,'B.firstChild;this.','spanHeightVaries','=(B',366,'>=A',366,'&&B',366,'>0);','this.spanHeightTooBig','=(B',366,'>A',366,');',6,356,'=""},','TestInlineBlock',393,'this.block','="display:-moz-inline-box";','this.hasInlineBlock','=',6,'BBoxFor(\'<span style="\'+this.block','+\';width:10px;height:5px"></span>\').w>0;if','(',1789,'){',6,'styles[".typeset .',167,'"]=',6,1798,167,'"].replace(/',169,'/,',1787,');',6,1798,175,'"]=',6,1798,175,1804,169,'/,"")}',29,1787,'="',169,'";',1789,'=',6,1792,1793,'(!',1789,661,1787,'+=";',171,'";',420,6,352,'("x").h;this.mozInlineBlockBug=',6,1792,'+";height:"+A+\'px;width:1px','"></span>x','<',1761,'+";height:"+A+"px;width:1px;vertical-align:-"+A+\'px',498,'h>2*A;this.widthAddsBorder=',6,1792,'+\';',171,';height:1px;width:10px',';border-left:','10px solid',498,'w>10;','this.msieBorderBug','=',6,1792,1842,1843,'\').h!=',6,1792,1842,1854,164,1843,'\').h;','this.blankWidthBug=',1858,'||',6,1792,1762,'0px',498,'h==0},','TestRenameOK',393,6,356,'="<span></span>";',420,6,1765,'A.setAttribute("name","','jsMath_test','");this.renameOK=(',6,15,'getElementsByName("',1890,'").length>0);',6,356,1784,'TestStyleChange',393,6,356,'=\'<span ID="',1890,'">x</span>\';var B=',6,1765,420,'B',363,';',6,403,1632,'({"#',1890,74,'200%"});this.',1636,'=(B',363,'==A);',6,356,1784,'VersionAtLeast',345,371,1426,'this.version',').split(".");','B=',1426,'B',1932,'if(B[1]==null){B[1]="0"}return A[0]>B[0]||(A[0]==B[0]&&A[1]>=B[1])},Init',393,6,27,'="unknown";this.',1785,479,1756,479,1881,479,1900,479,'MSIE',479,'Mozilla',479,'Opera',479,'OmniWeb',479,'Safari',479,'Konqueror();if(','this.allowAbsoluteDelim','){',6,'Box.DelimExtend=',6,'Box.DelimExtendAbsolute;',6,'Box.Layout=',6,'Box.LayoutAbsolute}',29,6,'Box.DelimExtend=',6,'Box.DelimExtendRelative;',6,'Box.Layout=',6,'Box.LayoutRelative}',488,1748,'){',6,'HTML.Place=',6,'HTML.','PlaceSeparateSkips',';',6,'Typeset.prototype.','Place=',6,1990,1987,'}},MSIE',393,488,1768,'&&!',1776,'){',6,27,'="MSIE";if(',6,37,'=="pc"){this.','IE7=(',1,689,648,');','this.quirks','=(',6,15,'compatMode=="BackCompat");this.msieStandard6=!',2013,'&&!this.IE7;',1961,919,1748,'=1',';this.buttonCheck=1;this.','msieBlankBug=1;this.','msieAccentBug',919,'msieRelativeClipBug','=1;this.msieDivWidthBug=1;this.',1255,919,'msieIntegralBug',919,'waitForImages',919,'msieAlphaBug','=!this.IE7;this.','alphaPrintBug',2037,1750,'="position:relative; ";this.',1752,'=" ',169,';";this.msieTeXfontBaselineBug=!',2013,';',1858,'=',1872,'1;this.msieSpaceFix=\'<',1654,169,'"></span>\';',6,'Macro("joinrel","\\\\mathrel{\\\\kern-5mu}"),',6,'Parser.prototype.mathchardef.','mapstocharOrig','=',6,2058,'mapstochar;',520,6,2058,2063,6,'Macro("mapstochar","\\\\rlap{\\\\',2059,'\\\\,}\\\\kern1mu"),',6,1798,'arial"]="',143,': \'Arial unicode MS\'";',0,'this.IE7||',2013,'){',6,'styles["#',188,'"]=',6,2082,188,1804,190,'/,"',183,'").',1376,201,'/,"");',6,2082,203,'"]=',6,2082,203,1804,190,'/,"',183,'").',1376,201,'/,"");',6,2082,243,'"]="width:','1px; "+',6,2082,243,1804,190,'/,"',183,'").',1376,201,'/,"");',6,1,'.attachEvent("','onscroll",',6,571,'MoveButton',');',488,'IE7){',6,1,2129,'onresize",',6,571,2133,')}this.msieMoveButtonHack=this.IE7}',6,2082,313,'"]+=" ','display: inline-block',';";',6,1798,175,'"]=',6,1798,175,1804,169,'/,"");',6,49,'[".tex2math_div"]=',6,49,'["div',56,'"]+"; width: 100%; ',2149,'";',6,49,'[".typeset"]+="; letter-spacing:0";if(','screen.deviceXDPI','&&','screen.logicalXDPI','&&',2174,'!=',2176,355,'imgScale*=',2176,'/',2174,';',6,579,'alpha=0}this.',385,'="<i>x</i>";',6,'EmBoxFor=',6,375,'}',29,'if(',6,37,'=="mac"){this.msieAbsoluteBug',919,'msieButtonBug',2029,2025,'quirks=1;',6,403,'Script("jsMath-msie-mac.js");',6,'Parser.prototype.macros.angle=["Replace","ord",\'<font face="Symbol">&#x8B;</font>\',"normal"];',6,2082,203,2114,'42em; "+',6,2082,203,1804,201,'/,"");',6,579,'printwarn=0}}',6,'Macro("not","\\\\mathrel{\\\\rlap{\\\\kern3mu','/}}")}},',1952,393,'if(',6,181,'.ATTRIBUTE_NODE){',6,27,'="',1952,'";if(',6,37,2007,2038,'=1}',1961,'=1;',6,2082,243,'"]=',6,2082,243,1804,'cursor:hand','/,"cursor:pointer");',6,2082,313,'"]=',6,2082,313,1804,2255,'/,"cursor:pointer");',6,2227,'/}}");if(',39,'vendor=="Firefox"){',1931,'=',39,'vendorSub}',29,'if(',39,'userAgent.match','(" Firefox/([0-9.]+)([a-z ]|$)")){',1931,'=RegExp.$1}}}},',1956,393,'if(',39,'accentColorName){',6,27,'="',1956,'";','this.allowAbsolute','=',1789,';',1961,'=',2293,';this.valignBug=!',2293,2024,1178,'=1;',6,'noChangeGlobal=1;',0,1789,'){',6,'Setup.Script("jsMath-old-browsers.js")}}},','Opera',393,'if(',1776,'){',6,27,'="Opera";',420,39,2279,'("Opera 7");',2293,'=0;this.delay=10;this.operaHiddenFix="[Processing]";',751,6,2311,1958,393,'if(',39,'appVersion',41,1958,'\\//)){',6,27,'="',1958,'";',420,39,'user'],
  ['Agent','.match','("Safari/([0-9]+)");A=(A)?A[1]:400;','for(var B=0;B<','jsMath.','TeX.fam','.length',';B++){if(',4,5,'[B]&&',4,'TeX[',4,5,'[B]]){',4,12,4,5,'[B]].dh=0.1}}',4,'TeX.','axis_height','+=0.05;',4,22,'default_rule_thickness','+=0.025',';this.allowAbsoluteDelim=','A>=125;this.safariIFRAMEbug=A>=312&&A<412;this.safariButtonBug=A<412;this.safariImgBug=1;this.textNodeBug=1;this.buttonCheck=1;this.styleChangeDelay=1}},','Konqueror',':function','(){if(','navigator.product','&&',34,1,'("',31,'")){',4,'browser="',31,'";this.allowAbsolute=0',29,'0;if(navigator.userAgent',1,'(/',31,'\\/(\\d+)\\.(\\d+)/)){if(RegExp.$1<3||(RegExp.$1==3&&RegExp.$2<3)){this.separateSkips=1;this.valignBug=1;',4,'Setup.Script("jsMath-','old-browsers.js")}}',4,'Add(',4,'styles,{".typeset .cmr10','":"font-family: jsMath-','cmr10',', jsMath ','cmr10, serif','",".typeset .','cmbx10',58,63,60,63,', jsMath-cmr10, jsMath cmr10",".typeset .','cmti10',58,69,60,69,68,'cmmi10',58,75,60,75,62,'cmsy10',58,81,60,81,62,'cmex10',58,'cmex10, jsMath cmex10','"});',4,'Font.testFont','="jsMath','-',89,'"}}};',4,'Font={testFont:"jsMath-',87,'",','fallback',':"symbol",register:[],message:"<b>No jsMath TeX fonts found</b> -- using',' image fonts instead','.<br/>\\nThese',' may be slow and might not print well.<br/>\\nUse the jsMath control panel to get additional information','.",','extra_message',':\'Extra TeX fonts not found: <b><span id="jsMath_ExtraFonts"></span></b><br/>Using',103,'.  This',105,'.\',','print_message',':"To print higher-resolution math symbols, click the<br/>\\n<b>Hi-Res Fonts for Printing</b> button on',' the jsMath control panel.<br/>\\n",','alpha_message',':"If the math symbols print as black boxes, turn off <b>image alpha channels</b><br/>\\nusing the <B>Options</B> pane of',115,'Test1',32,'(C',',F,D,E){if(F==null){F=124}if(D==null){D=2}if(E==null){E=""}var B=jsMath.BBoxFor(\'<span style="font-family: \'+E+C+\', serif">\'+jsMath.TeX[C][F].c+"</span>");var A=jsMath.BBoxFor(\'<span style="font-family: serif">\'+jsMath.TeX[C][F].c+"</span>");return','(B.w>D*A.w&&B.h!=0)},Test2',32,'(C',122,'(A.w>D*B.w&&B.h!=0)},CheckTeX',':function(){var A=',4,'BBoxFor(\'<span style="font-family',': \'+',4,92,'+\', serif">\'+',4,22,87,'[1','].c+"</span>");',4,'nofonts=((A.w*3>A.h||A.h==0)&&!this.Test1("cmr10','",null,null,"jsMath-"));if(!',4,'nofonts){','return }if(',4,'browser!="Mozilla"||(',4,'platform','=="mac"&&(!',4,'Browser.VersionAtLeast(','1.5)||',4,152,'3)))||(',4,149,'!="mac"&&!',4,152,'3))){A=',4,130,': ',87,', serif">\'+',4,22,87,'[1',139,4,141,'"));if(!',4,144,4,52,'BaKoMa-fonts.js")}}},Check',128,4,'Controls.','cookie;this.CheckTeX();if(',4,144,'if(A.autofont','||A','.font=="tex"){','A.font=this.',101,';if(A.warn){',4,'nofontMessage=1;A.warn=0;',4,183,'SetCookie(0);if','(',4,'window.NoFontMessage','){',4,200,'()}else{','this.Message(this.','message)}}}}else{',187,'){A.font="tex"}if(A',189,'return }}if(',4,'noImgFonts){','A.font="unicode"}if(A','.font=="unicode','"){',4,52,101,'-"+',4,149,'+".js");',4,'Box.TeXnonfallback=',4,'Box.TeX',';',4,226,'=',4,'Box.TeXfallback;return }','if(!A.print&&A.printwarn){this.','PrintMessage','((',4,'Browser.','alphaPrintBug&&',4,183,'cookie.alpha)?this.',113,'+this.',116,':this.',113,')}if(',4,237,'waitForImages){',4,'Script.','Push(',4,'Script,"WaitForImage",',4,'blank)}if(A.font=="symbol"){',4,52,101,'-symbols.js");',4,'Box.TeXnonfallback=',4,226,';',4,226,'=',4,232,4,'Img.SetFont','({cmr10',':["all"],',75,275,81,275,87,275,63,275,69,':["all"]});',4,'Img.LoadFont','("cm-fonts")},Message',32,'(A){if(',4,'Element("Warning',40,'return }var ','B=',4,'Setup.DIV("','Warning','",{});B.innerHTML=\'<center><table><tr><td><div ','id="jsMath_noFont"><div ','class="message">\'+A','+\'<div style="text-align:left"><span style="float:left; margin: 8px 0px 0px 20px"><span onclick="',4,183,'Panel()" ','title=" Open ','the ','jsMath Control Panel',' " class="link">',308,'</span></span','><span style="margin: 8px 20px 0px 0px; float:right"><span onclick="',4,'Font.','HideMessage','()" title=" Remove this font warning message',309,'Hide this Message',311,'></div><div style="height:6px"></div><br clear="all"/></div></','div><div style="width:22em; height:1px"></div></td></tr></table></center><hr/>\'},',315,128,4,292,'");if(A','){A.style.display="none"}},',234,32,290,4,'Element("','PrintWarning',40,294,'B=',4,297,333,299,301,'+\'</',321,'Register',32,'(H,B){if(typeof (H)=="string"){H={name:H}}if(!',4,'Setup.inited','&&!B){','this.register','[',350,6,']=H;',294,'I=H.name;var A=I.replace(/10$/,"");var F=',4,5,6,';if(H.prefix==null){H.prefix=""}if(!H.style){H.style="font-family: "+H.prefix+I+", serif"}if(!H.styles){H.styles={}}if(!H.macros){H.macros={}}',4,5,'[F]=I;',4,22,'famName[I]=F;H.macros[A]=["HandleFont",F];',4,55,4,'Parser.prototype.macros,H.macros);H.styles[".typeset ."+I]=H.style;',4,'Setup.Styles(H.styles);if(',4,'initialized){',4,252,'Push(',4,'Setup,"TeXfont",I)}var C=',4,183,'cookie;var E=!',4,'nofonts&&H.test(I,H.testChar,H.testFactor,H.prefix);if(E&&C',189,'if(H.tex){H.tex(I,F,H)}return }if(!E&&C.warn&&C.font=="tex"&&!',4,144,'if(!C.fonts',1,'("/"+I+"/")){C.fonts+=I+"/";',4,183,197,'(!',4,292,40,205,107,')}var G=',4,332,'ExtraFonts");if(G){if(G','.innerHTML','!=""){G',405,'+=","}G',405,'+=" "+H.prefix+I}}}if(C',214,'"||',4,212,'if(H.',101,'){H.',101,'(I,F,H)}',294,'D={};if(C.font=="symbol"&&H.symbol!=null){D[I]=H.symbol(I,F,H)}else{D[I]=["all"]}',4,273,'(D);',4,287,'(I);if(',4,'initialized){',4,252,'Push(',4,'Img,"Scale");',4,252,'Push(',4,'Img,"UpdateFonts")}},LoadRegistered',128,'0;while(A<',350,6,'){this.Register(',350,'[A++],1)}',350,'=[]},Load',32,'(A){',4,'Setup.Script(this.URL(A))},URL',32,'(A){return ',4,'Img.root+A+"/def.js"}};',4,'Controls={cookie:{scale:100,font:"tex",autofont:1,scaleImg:0,alpha:1,warn:1,fonts:"/",printwarn:1,stayhires:0,button:1,progress:1,asynch:0,blank:0,print:0,keep:"0D",global:"auto",hiddenGlobal:1},cookiePath:"/",','noCookiePattern',':/^(file|mk):$/,Init',32,'(){this.panel=',4,297,'panel",{display:"none"});if(!',4,237,'msieButtonBug){this.Button',204,'setTimeout("',4,183,'Button()",500)}},Panel',32,'(){',4,'Translate.Cancel();if(this.loaded){this.Main',204,4,252,'delayedLoad(',4,'root+"jsMath-controls.html")}},Button',128,4,297,'button",{});A.',306,308,' ";A',405,'=\'<span onclick="',4,183,'Panel()">jsMath</span>\';if(!',4,'Global.','isLocal&&!',4,'noShowGlobal){A',405,'+=\'<span id="jsMath_global" ',306,'jsMath Global Panel " onclick="',4,497,'Show(1)">Global&nbsp;</span>\'}if(A.offsetWidth<30){A.style.width="auto"}if(!','this.cookie','.button',327,'MoveButton',32,'(){var C=',4,'Controls;if(!C.button){C.button=',4,332,'button")}if(C.button','){C.MoveElement(C.','button,3,2)}var B=20;var A=20;if(C.button){A=C.button.offsetHeight+6;B=A+5}if(C.panel',519,'panel,B,A)}},MoveElement',32,'(D,C,B){if(',4,237,'IE7){var A=document.body;D.style.right','="auto";D.style.','bottom',528,'left=A.clientWidth+A.scrollLeft-D.offsetWidth-C+"px";D.style.top=A.clientHeight+A.scrollTop-D.offsetHeight-B+"px"}else{','D.style.visibility="','hidden";',532,'visible"}},GetCookie',32,33,'this.defaults','==null){',538,'={}}',4,55,538,',',508,');this.userSet={};var C=',4,'document.cookie',';if(',4,'window.location','.protocol',1,'(this.',459,')){C=this.','localGetCookie','();','this.isLocalCookie','=1}if(C',1,'(/jsMath=([^;]+)/)){var D=unescape(RegExp.$1).split(/,/);',3,'D',6,';B++){var A=D[B].match(/(.*):(.*)/);if(A[2].match(/^\\d+$/)){A[2]=1*A[2]}',508,'[A[1]]=A[2];this.userSet[A[1]]=1}}},',558,32,'(){return ',4,552,'.search.substr(1)},SetCookie',32,'(F){var B=[];for(var E in ',508,'){if(',538,'[E]==null||',508,'[E]!=',538,'[E]){B[B',6,']=E+":"+',508,'[E]}}B=B.join(",");if(',560,'){if(F==2){return"','jsMath="+escape(B)}','this.','localSetCookie','(B,F)}else{B=escape(B);if(B==""){F=0}if(','this.cookiePath','){B+="; path="+',596,'}if(','this.cookieDomain','){B+="; domain="+',600,'}if(',508,'.keep!="0D"){var A={D',':1000*60*60*24',',W',606,'*7,M',606,'*30,Y',606,'*365};var D=new Date;D.setTime(D.getTime()+',508,'.keep.substr(','0,1)*A[',508,615,'1,1)]);B+="; expires="+D.toGMTString()}if(B!=""){',4,549,93,'="+B;var C=',4,549,';if(F&&!C',1,'(/jsMath=/)){alert("Cookies must be enabled in order to save jsMath options")}}}return null},',594,32,'(B,C){if(!C){',294,'A=String(',4,552,').replace(/\\?.*/,"");if(B!=""){A+="?',592,'if(A!=',4,552,'.href){this.Reload(A)}},Reload',32,'(A){if(!this.loaded){return }this.loaded=0;',4,348,'=-100;',4,497,'ClearCache();if(A){',4,552,'.replace(A)}else{',4,552,'.reload()}}};',4,'Click={CheckClick',32,'(A){if(!A){A=',4,'window.event}if','(A.altKey){',4,183,'Panel()}},CheckDblClick',32,'(B){if(!B){B=',4,661,'(!',4,'Click.DblClick){',4,'Extension.Require("double-click",1);var A=B;B={};for(var C in A){B[C]=A[C]}}',4,252,'Push(',4,'Click,"DblClick",[B,this.alt])}};',4,'TeX={thinmuskip:3/18,medmuskip:4/18,thickmuskip:5/18,x_height:0.430554,quad:1,num1:0.676508,num2:0.393732,num3:0.44373,denom1:0.685951,denom2:0.344841,sup1:0.412892,sup2:0.362892,sup3:0.288888,sub1:0.15,sub2:0.247217,sup_drop:0.386108,sub_drop:0.05,delim1:2.39,delim2:1,',23,':0.25,',27,':0.06,big_op_spacing1:0.111111,big_op_spacing2:0.166666,big_op_spacing3:0.2,big_op_spacing4:0.6,big_op_spacing5:0.1,integer:6553.6,scriptspace:0.05,nulldelimiterspace:0.12,delimiterfactor:901,delimitershortfall:0.5,scale:1,atom:["ord","op","bin","rel","open","close","punct","ord"],fam:["cmr10","',75,'","',81,'","',87,'","',69,'","","',63,'",""],famName:{cmr10:0,',75,':1,',81,':2,',87,':3,',69,':4,',63,':6},encoding:["&#xC0;","&#xC1;","&#xC2;","&#xC3;","&#xC4;","&#xC5;","&#xC6;","&#xC7;","&#xC8;","&#xC9;","&#xCA;","&#xCB;","&#xCC;","&#xCD;","&#xCE;","&#xCF;","&#xB0;","&#xD1;","&#xD2;","&#xD3;","&#xD4;","&#xD5;","&#xD6;","&#xB7;","&#xD8;","&#xD9;","&#xDA;","&#xDB;","&#xDC;","&#xB5;","&#xB6;","&#xDF;","&#xEF;","!","&#x22;","#","$","%","&#x26;","&#x27;","(",")","*","+",",","-",".","/","0","1","2","3","4","5","6","7","8","9",":",";","&#x3C;","=","&#x3E;","?","@","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z","[","&#x5C;","]","^","_","`","a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z","{","|","}","&#x7E;","&#xFF;"],cmr10:[[0.625',',0.683],[0.','833',706,'778',706,'694',706,'667',706,'75',706,'722',706,'778',706,'722',706,'778',706,'722',706,'583',',0.694,0,{ic:0.0778,krn:{"39":0.0778,"63":0.0778,"33":0.0778,"41":0.0778,"93":0.0778},lig:{"105":','14,"108":15}}],[0.556',',0.694],[0.','556',730,'833',730,'833',730,'278',',0.431],[0.','306',',0.431,0.194],[0.','5',730,'5',730,'5,0.628],[0.5',730,'5,0.568],[0.75',730,'444,0,0.17],[0.5',730,'722',738,'778',738,'5,0.528,0.0972],[0.903,0.683],[1.01',706,'778,0.732,0.0486],[0.278',',0.431,0,{','krn:{"108":-0.278,"76":-0.319}}],[0.278',',0.694,0,{','lig:{"96":','60}}],[0.5',730,'833',',0.694,0.194],[','0.5',',0.75,0.0556],[0.','833',767,'778',730,'278',760,'krn:{"63":0.111,"33":0.111},lig:{"39":34}}],[0.389',',0.75,0.25],[0.','389',775,'5,0.75],[','0.778,0.583,0.0833],[','0.278,0.106',',0.194],[0.','333',758,'lig:{"45":','123}}],[',780,'],[0.5',775,'5,0.644','],[0.5,0.644],[0.5,0.','644',790,'644',790,'644',790,'644],[0.5,0.644],[0.278',738,'278',740,'278,0.5',781,'778',',0.367,-0.133],[','0.472,0.5',781,'472',760,761,'62}}],[0.778',730,'75',',0.683,0,{krn:{"','116','":-0.0278,"','67',815,'79',815,'71',815,'85',815,'81',815,'84":-0.0833,"89":-0.0833,"86":-0.111,"87":-0.111}}],[0.','708',706,'722',706,'764',813,'88',815,'87',815,'65',815,'86',815,'89":-','0.0278}}],[0.','681',706,'653',',0.683,0,{','krn:{"111":-0.0833,"101":-0.0833,"117":-0.0833,"114":-0.0833,"97":-0.0833,"65":-0.111,"79":-0.0278,"67":-0.0278,"71":-0.0278,"81":-0.0278}}],[','0.785',706,'75',706,'361',813,'73":',842,'514',706,'778',813,'79',815,'67',815,'71',815,'81":-',842,'625',813,826,'917',706,'75',706,'778',813,'88',815,'87',815,'65',815,'86',815,'89":-',842,'681',813,'65','":-0.0833,"','111',815,'101',815,'97',815,'46',890,'44":-0.','0833}}],[0.','778,0.683',781,'736',813,'116',815,'67',815,'79',815,'71',815,'85',815,'81',815,826,'556',706,'722',813,'121',815,'101',890,'111',890,'114',890,'97',890,'65',890,'117":-0.',900,'75',706,'75',',0.683,0,{ic:0.','0139,',847,'1.03',939,'0139,',847,'0.75',813,'79',815,'67',815,'71',815,'81":-',842,'75',939,'025,krn:{"101',890,'111',890,'114',890,'97',890,'65',890,934,900,'611',706,'278',775,'5',730,'278',775,'5',730,'278,0.668],[0.','278',760,761,'92}}],[0.5',758,'krn:{"118',815,'106":0.0556,"121',815,'119":-',842,'556,0.','694,0',',{krn:{"101":0.0278,"111":0.0278,"120":-0.0278,"100":0.0278,"99":0.0278,"113":0.0278,"118":-0.0278,"106":0.0556,"121":-0.0278,"119":-0.0278}}],[0.','444',758,'krn:{"104',815,'107":-',842,'556',730,'444',738,'306',728,'12,"102":11,"108":13}}],[0.5',',0.431,0.194,{','ic:0.','0139,krn:{"','106":',842,'556',760,'krn:{"116',815,'117',815,'98',815,'121',815,'118',815,'119":-',842,980,'306,0.668',781,'528',760,'krn:{"97','":-0.0556,"','101',815,'97',815,'111',815,'99":-',842,'278',730,'833',758,'krn:{"116',815,'117',815,'98',815,'121',815,'118',815,'119":-',842,'556',758,'krn:{"116',815,'117',815,'98',815,'121',815,'118',815,'119":-',842,'5,0.431,0',994,992,'431,0.194',994,'528',740,'392',738,'394',738,'389,0.615,0,{krn:{"121',815,'119":-',842,'556',758,'krn:{"119":-',842,'528',',0.431,0,{ic:0.',1010,'97',1033,'101',815,'97',815,'111',815,'99":-',842,'722',1092,1010,'101',815,'97',815,'111',815,'99":-',842,'528',738,'528',1008,'ic:0.',1010,'111',815,'101',815,'97',815,'46',890,'44":-0.',900,'444',738,'5',1092,'0278,',784,'124}}],[1',1092,'0278}],[0.','5',730,'5,0.668],[0.5,0.668]],',75,':[[0.615',939,'139',',krn:{"61":-0.0556,"59":-0.111,"58":-0.111,"127":0.',900,'833',813,'127":0.167}}],[0.','763',939,1135,'krn:{"127":0.0833}}],[0.','694',813,1151,'742',939,'0757,',1155,'831',939,'0812,krn:{"61',1033,'59":-0.0556,"58":-0.0556,"127":0.','0556}}],[0.','78',939,'0576,',1155,'583',939,'139',1147,1168,'667',846,1155,'612',939,'11,krn:{"61',1033,1167,1168,'772',939,'0502,',1155,'64',1092,'0037,','krn:{"127":',842,'566',',0.694,0.194,{ic:0.','0528,',1155,'518',1008,'ic:0.0556','}],[0.444',760,'ic:0.0378,krn:{"',1167,1168,'406',758,'krn:{"127":0.0556}}],[0.','438',1197,'0738,',1155,'497',1008,'ic:0.0359',',',1210,'469',760,'ic:0.',1135,1155,'354',758,1210,'576',738,'583',730,'603',1008,1194,842,'494',1092,'0637,krn:{"',1167,'0278}}],[0.','438',1197,'046,',1194,'0.111}}],[0.','57',1092,'0359}],[0.','517',1008,1155,'571',1092,'0359,krn:{"59',1033,'58":-0.',1168,'437',1092,'113,krn:{"',1167,1240,'54',1092,'0359,',1194,842,'596,0.694,0.194,{',1155,'626',1008,1210,'651',1197,'0359,',1194,1245,'622',1092,1248,'466',758,1155,'591',760,1155,'828',1092,1139,'517',1008,1155,'363,0.431,0.0972,{ic:0.0799,',1155,'654',1008,1194,'0.0833}}],[1',804,'1',804,'1',804,'1',804,'0.278',',0.464,-0.0363],[','0.278',1307,'0.5,0.465,-0.0347],[',1310,'0.5',738,'5',738,'5',738,'5',740,'5',740,'5,0.',1075,790,1075,790,'431',781,'278,0.106],[',780,781,'778',',0.539,0.0391],[','0.5,0.75,0.25,{krn:{"1',1033,'65',1033,'77',1033,'78',1033,'89":0.0556,"90":-0.',1168,'778',1333,1310,'0.531',760,1202,',',1155,'75',813,'127":','0.','139}}],[0.','759',939,'0502,',1155,'715',939,'0715,krn:{"61',815,1167,900,'828',939,1135,1210,'738',939,'0576,',1155,'643',939,'139',1147,900,'786',846,1155,'831',939,'0812,krn:{"61',1033,1167,1168,'44',939,'0785,',1194,1245,'555',939,'0962',1147,'167}}],[0.','849',939,'0715,krn:{"61',1033,1167,1168,'681',813,1354,842,'97',939,'109,krn:{"','61',1033,1167,900,'803',939,1411,'61',890,'61',815,1167,900,'763',939,1135,1155,'642',939,'139',1147,900,'791,0.683,0.194,{',1155,'759',939,'00773,',1155,'613',939,'0576,krn:{"61',1033,1167,900,'584',939,'139,krn:{"61',815,1167,900,'683',939,1411,'59":-0.111,"',1256,'111,"61',1033,1354,842,'583',939,'222',',krn:{"59":-0.167,"58":-0.167,"61":-0.111}}],[0.','944',939,'139',1464,'828',939,'0785,krn:{"61',890,'61',815,1167,900,'581',939,'222',1464,'683',939,'0715,krn:{"61',1033,1167,900,'389,0.75],[0.389',765,'0.389',765,'1,0.358,-0.142],[',1491,'0.417',760,1194,1245,'529',738,'429',730,'433',758,1210,'52',760,'krn:{"89":0.0556,"90',1033,'106":-0.111,"102":-0.167,"',1151,'466',758,1210,'49',1197,'108,krn:{"',1167,1398,'477',1008,1217,',',1194,842,'576',760,'krn:{"127":-',842,'345,0.66],[0.412,0.66,0.194,{ic:0.0572,krn:{"59',1033,1256,1168,'521',760,'ic:0.0315}],[0.298',760,'ic:0.0197,',1155,'878',738,'6',738,'485',758,1210,'503',1008,1155,'446',1008,1217,',',1155,'451',1092,1135,'krn:{"',1167,1168,'469',758,1210,'361,0.615,0,{',1155,'572',758,1194,842,'485',1092,'0359,',1194,842,'716',1092,'0269,',1155,'572',758,1194,842,'49',1008,1217,',',1210,'465',1092,'044,',1210,'322',758,1194,842,'384',1008,1155,'636',1008,1194,1245,'5,0.714,0,{ic:0.154}],[0.278',760,'ic:0.399}]],',81,':[[',779,'0.278,0.444,-0.0556],[',779,1310,779,'0.5,0.444,-0.0556],[',779,779,779,779,779,779,779,'1',765,1611,1611,'0.778',1307,'0.778,0.464,-0.0363','],[0.778,0.636,0.136',1626,1626,1626,1626,1626,'],[0.778',804,'0.778,0.483,-0.0169],[0.778',1333,'0.778',1333,'1',1333,'1',1333,'0.778',1333,'0.778',1333,'1',804,'1',804,'0.5',765,'0.5',765,'1',804,'1',765,'1',765,'0.778',1307,'1',804,'1',804,'0.611',765,'0.611',765,'1',804,'1',765,'1',765,'0.778',738,'275,0.556],[1',738,'667',1333,'0.667',1333,'0.889',765,'0.889',765,'0',765,'0',804,'0.556',730,'556',730,'667',738,'5',767,'722',730,'722',730,'778',730,'778',730,'611',730,'798',813,'48":0.','194}}],[0.657',939,'0304',',krn:{"48":0.',1356,'527',939,'0583',1716,1356,'771',939,'0278',1716,900,'528',939,'0894',1716,'111}}],[0.','719',939,'0993',1716,1732,'595',',0.683,0.0972,{ic:0.','0593',1716,1732,'845',939,'00965',1716,1732,'545',939,'0738,krn:{"48":',842,'678',1739,'185',1716,1398,'762',939,'0144',1716,1168,'69',813,1712,'139}}],[1.2',813,1712,1356,'82',939,'147',1716,900,'796',939,1725,1716,1732,'696',939,'0822',1716,900,'817,0.683,0.0972,{krn:{"48":',1245,'848',813,1712,900,'606',939,'075',1716,1356,'545',939,'254,krn:{"48":',842,'626',939,'0993',1716,900,'613',939,'0822,krn:{"48":',842,'988',939,'0822',1716,900,'713',939,'146',1716,1356,'668',1739,'0822',1716,900,'725',939,'0794',1716,1356,'667,0.556],[0.',1828,1828,1828,1828,'611',730,'611',730,'444',775,'444',775,'444',775,'444',775,'5',775,'5',775,'389',775,'389',775,'278',775,'5',775,'5',775,'611',775,'5',775,'278',765,'0.833,0.04,0.96],[0.75',706,'833',706,'417',1197,'111}],[0.',1828,'667,0.556',1626,1626,'],[0.444',765,'0.444',765,'0.444',765,'0.611',765,'0.778,0.694,0.13','],[',1884,'],[',1884,'],[',1884,']],',87,':[[0.458',',0.04,1.16,{n:','16}],[0.458',1894,'17}],[0.417',1894,'104}],[0.417',1894,'105','}],[0.472,0.04,1.16,{n:','106',1902,'107',1902,'108',1902,'109}],[0.583',1894,'110}],[0.583',1894,'111',1902,'68',1902,'69}],[0.333',',0,0.6,{delim:{rep:','12}}],[0.556',1918,'13}}],[0.578',1894,'46}],[0.578',1894,'47}],[0.597',',0.04,1.76,{n:','18}],[0.597',1926,'19}],[0.736',',0.04,2.36,{n:','32}],[0.736',1930,'33}],[0.528',1930,'34}],[0.528',1930,'35}],[0.583',1930,'36}],[0.583',1930,'37}],[0.583',1930,'38}],[0.583',1930,'39}],[0.75',1930,'40}],[0.75',1930,'41}],[0.75',1930,'42}],[0.75',1930,'43}],[1.04',1930,'44}],[1.04',1930,'45}],[0.792',',0.04,2.96,{n:','48}],[0.792',1958,'49}],[0.583',1958,'50}],[0.583',1958,'51}],[0.639',1958,'52}],[0.639',1958,'53}],[0.639',1958,'54}],[0.639',1958,'55}],[0.806',1958,'56}],[0.806',1958,'57}],[0.806',',0.04,2.96],[','0.806',1978,'1.28',1978,'1.28',1978,'0.811',1926,'30}],[0.811',1926,'31}],[0.875',',0.04,1.76,{delim:{top:','48,bot:64,rep:66}}],[0.875',1990,'49,bot:65,rep:67}}],[0.667',1990,'50,bot:52,rep:54}}],[0.667',1990,'51,bot:53,rep:55','}}],[0.667,0.04,1.76,{delim:{bot:','52,rep:54',1998,'53,rep:55','}}],[0.667,0,0.6,{delim:{top:','50,rep:54',2002,'51,rep:55','}}],[0.889,0,0.9,{delim:{top:','56,mid:60,bot:58,rep:62',2006,'57,mid:61,bot:59,rep:62',2006,'56,bot:58,rep:62',2006,'57,bot:59,rep:62','}}],[0.889,0,1.8,{delim:{rep:','63',2014,'119}}],[0.889,0,0.3,{delim:{rep:62',2002,'120,bot:121,rep:63}}],[0.875',1990,'56,bot:59,rep:62}}],[0.875',1990,'57,bot:58,rep:62}}],[0.875',1918,'66}}],[0.875',1918,'67}}],[0.611',1926,'28}],[0.611',1926,'29}],[0.833,0,1,{n:71}],[1.11,0.1,1.5],[0.472,0,1.11,{ic:0.194,n:73}],[0.556,0,2.22,{ic:0.444}],[1.','11,0,1,{n:','75','}],[1.51,0.1,1.5],[1.',2032,'77',2034,2032,'79',2034,'06'],
  [',0,1,{n:88','}],[0.','944,0,1,{n:','89',1,'472,0,1.11',',{ic:0.','194,n:90',1,'833,0,1,{n:','91',1,9,'92',1,9,'93',1,9,'94',1,9,'95}],[1.44,0.1,1.5],[','1.28,0.1,1.5],[0.556,0',',2.22',6,'444}],[','1.11,0.1,1.5],[',27,27,27,27,'0.',2,'97}],[',23,'.722,0,{n:99','}],[1,0.75,0,{n:','100','}],[1.44,0.75],[0.','556,0.722,0,{n:102',37,'103',39,'472',',0.04,1.76,{n:','20',1,'472',45,'21',1,'528',45,'22',1,'528',45,'23',1,'528',45,'24',1,'528',45,'25',1,'667',45,'26',1,'667',45,'27','}],[1,0.04,','1.16,{n:113}],[1',45,'114',75,'2.36,{n:115',75,'2.96,{n:116}],[1.06,0,1.8,{delim:{top:118,bot:116,rep:117}}],[1.06,0,0.6],[1.06,0.04,0.56],[0.778',',0,0.6,{delim:{','top:126,','bot:127,rep:119','}}],[0.667',83,'top:120,rep:63}}],[0.667',83,'bot:121,rep:63}}],[0','.45,0.12],[0',91,91,91,'.778',83,84,'rep:119}}],[0.778',83,85,'}}]],cmti10:[[0.627',',0.683,0,{ic:0.','133',1,'818,0.683],[0.767',102,'094',1,'692,0.683],[0.664',102,'153',1,'743',102,'164',1,'716',102,'12',1,'767',102,'111',1,'716',102,'0599',1,'767',102,'111',1,'716',102,'103',1,'613',',0.694',',0.194,{ic:0.','212,krn:{"39":0.104,"63":0.104,"33":0.104,"41":0.104,"93":0.104},lig:{"105":','14,"108":15}}],[0.','562',138,139,'103',1,'588',138,139,'103',1,'882',138,139,'103',1,'894',138,139,'103',1,'307',',0.431,0,{ic:0.','0767',1,'332,0.431',139,'0374',1,'511',',0.694],[0.','511',',0.694,0,{ic:0.','0969',1,'511,0.','628,0',6,'083',1,'511',173,'108',1,176,'562,0',6,'103',1,'831',171,'46,0,0.17],[0.537',138,139,'105',1,'716',163,'0751',1,'716',163,199,1,176,'528,0.0972',6,'0919',1,'883',102,'12',1,'985',102,'12',1,'767,0.732,0.0486',6,'094',1,'256,0.431,0,{krn:{"108":-0.256,"76":-0.321}}],[0.307',173,'124,lig:{"96":','60}}],[0.','514',173,'0696',1,'818',138,139,'0662',1,'769',171,'818',',0.75,0.0556',6,'136',1,'767',173,'0969',1,'307',173,'124',',krn:{"','63":0.102,"33":0.102','},lig:{"39":34}}],[0.','409',',0.75,0.25,{ic:0.','162',1,'409',253,'0369',1,176,'75,0',6,'149',1,'767,0.562,0.0567',6,'0369',1,'307,0.106',',0.194],[0.','358',163,'0283,','lig:{"45":123}}],[0.',269,'],[0.511',253,'162',1,176,'644,0',',{ic:0.136}],[0.511,0.644,0',282,282,282,'.194',282,282,282,286,282,282,6,'136',1,'307',163,'0582',1,'307,0.','431',139,'0582',1,300,'5',139,'0756',1,'767,0.367,-0.133',6,'0662',1,176,'5',270,'511',173,'122,lig:{"96":62}}],[0.767',173,'096',1,'743,0.683,0,{','krn:{"110":-0.0256,"108":-0.0256,"114":-0.0256,"117":-0.0256,"109":-0.0256,"116":-0.0256,"105":-0.0256,"67":-0.0256,"79":-0.0256,"71":-0.0256,"104":-0.0256,"98":-0.0256,"85":-0.0256,"107":-0.0256,"118":-0.0256,"119":-0.0256,"81":-','0.0256,"84','":-0.0767,"','89',326,'86','":-0.102,"','87',330,'101":-0.0511,"97":-0.0511,"111":-0.0511,"100":-0.0511,"99":-0.0511,"103":-0.0511,"113":-0.0511}}],[0.','704',102,'103',1,'716',102,'145',1,'755',102,'094',249,'88','":-0.0256,"','87',347,'65',347,'86',347,'89','":-0.0256}}],[0.','678',102,'12',1,'653',102,'133',249,'111',326,'101',326,'117','":-0.0767,"114":-0.0767,"97":-0.0767,"','65',330,'79":-0.0256,"67":-0.0256,"71":-0.0256,"81":-0.0256}}],[0.','774',102,'0872',1,'743',102,'164',1,'386',102,'158',1,'525',102,'14',1,'769',102,'145',249,372,'627,0.683,0,{krn:{"84',326,'89',326,'86',330,'87',330,333,'897',102,'164',1,'743',102,'164',1,'767',102,'094',249,'88',347,'87',347,'65',347,'86',347,'89',355,'678',102,'103',249,'65":-0.0767}}],[0.','767,0.683',139,'094',1,'729',102,'0387,',324,'0.0256,"84',326,'89',326,'86',330,'87',330,333,'562',102,'12',1,'716',102,'133',249,'121',326,'101',326,'111',369,'117',326,429,'743',102,'164',1,'743',102,'184',249,'111',326,'101',326,'117',369,'65',330,372,'999',102,'184',249,429,'743',102,'158',249,372,'743',102,'194',249,'101',326,'111',369,'117',326,429,'613',102,'145',1,'307',253,'188',1,'514',173,'169',1,'307',253,'105',1,'511',173,'0665',1,300,'668,0',6,'118',1,'307',173,224,'92}}],[0.','511',163,164,1,'46',173,'0631',249,333,'46',163,'0565',249,333,'511',173,'103',',krn:{"108":0.0511}}],[0.','46',163,199,249,333,'307',138,139,140,'12,"102":11,"108":13}}],[0.','46,0.431',139,'0885',1,'511',173,164,1,300,'655,0',6,'102',1,300,'655',139,'145',1,'46',173,'108',1,'256',173,'103',548,'818',163,164,1,'562',163,164,249,'39":-0.102}}],[0.511',163,'0631',249,333,176,'431',139,'0631',249,333,'46,0.431',139,'0885',1,'422',163,'108',249,333,'409',163,'0821',1,'332,0.615,0',6,'0949',1,'537',163,164,1,'46',163,'108',1,'664',163,'108',548,'464',163,'12',1,'486,0.431',139,'0885',1,'409',163,'123',1,'511',163,'0921',',lig:{"45":124}}],[1.','02',163,647,1,'511',173,'122',1,176,'668,0',6,'116',1,176,'668,0',6,'105}]],cmbx10:[[0.692',',0.686],[0.','958',666,'894',666,'806',666,'767',666,'9',666,'831',666,'894',666,'831',666,'894',666,'831',666,'671',173,'109,krn:{"39":0.109,"63":0.109,"33":0.109,"41":0.109,"93":0.109},lig:{"105":',141,'639',171,'639',171,'958',171,'958',171,'319',',0.444],[0.','351,0.444',270,'575',171,'575',171,'575,0.632],[0.575',171,'575,0.596],[0.869',171,'511,0,0.17],[0.597',171,'831',700,'894',700,'575,0.542,0.0972],[1.04,0.686],[1.17',666,'894,0.735,0.0486],[0.319',',0.444,0,{krn:{"','108":-0.319,"76":-0.378}}],[0.35',',0.694,0,{lig:{"96":',225,'603',171,'958',138,270,'575',238,'],[0.958',238,'],[0.894',171,'319',',0.694,0,{krn:{"','63":0.128,"33":0.128',251,'447',',0.75,0.25],[0.','447',740,'575,0.75],[0.894,0.633,0.133],[0.','319,0.156',270,'383',',0.444,0',',{',274,744,'],[0.575',740,'575,0.644],[','0.575,0.644],[0.575,0.644],[',754,754,754,'0.575,0.644],[0.319',700,'319,0.444',270,'35,0.5',270,'894,0.391,-0.109],[0.543,0.5',270,'543',722,'62}}],[0.894',171,'869',',0.686,0,{krn:{"','116','":-0.0319,"','67',773,'79',773,'71',773,'85',773,'81',773,'84":-0.0958,"89":-0.0958,"86":-0.128,"87":-0.128}}],[','0.818',666,'831',666,'882',771,'88',773,'87',773,'65',773,'86',773,'89','":-0.0319}}],[0.','756',666,'724',',0.686,0',',{','krn:{"111":-0.0958,"101":-0.0958,"117":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.128,"79":-0.0319,"67":-0.0319,"71":-0.0319,"81":-0.0319}}],[','0.904',666,'9',666,'436',771,'73','":0.0319}}],[0.','594',666,'901',771,'79',773,'67',773,'71',773,'81',800,'692',771,784,'1.09',666,'9',666,'864',771,'88',773,'87',773,'65',773,'86',773,'89',800,'786',771,'65":-0.0958,"111',773,'101',773,'97',773,'46":-0.0958,"44":-0.0958}}],[0.','864,0.686',270,'862',771,'116',773,'67',773,'79',773,'71',773,'85',773,'81',773,784,'0.639',666,'8',771,'121',773,'101":-0.0958,"111":-0.0958,"114":-0.0958,"97":-0.0958,"65":-0.0958,"117":-0.0958}}],[0.','885',666,'869',804,6,'016,',806,'1.19',804,6,'016,',806,'0.869',771,'79',773,'67',773,'71',773,'81',800,'869',804,6,'0287',249,878,'703',666,'319',740,'603',171,'319',740,'575',171,'319',171,'319',722,530,'559',720,'118',773,'106":0.0639,"121',773,'119',800,'639',138,',0',',{krn:{"101":0.0319,"111":0.0319,"120":-0.0319,"100":0.0319,"99":0.0319,"113":0.0319,"118":-0.0319,"106":0.0639,"121":-0.0319,"119":-0.0319}}],[0.','511',720,'104',773,'107',800,'639',171,'527',700,'351',173,689,558,'575,0.444',139,'016,krn:{"','106',814,'639',736,'116',773,'117',773,'98',773,'121',773,'118',773,'119',800,'319',171,'351',138,270,'607',736,'97":-0.0639,"101',773,'97',773,'111',773,'99',800,'319',171,'958',720,'116',773,'117',773,'98',773,'121',773,'118',773,'119',800,'639',720,'116',773,'117',773,'98',773,'121',773,'118',773,'119',800,'575,0.444,0',933,'639',747,286,933,'607,0.444',270,'474',700,'454',700,'447,0.635,0,{krn:{"121',773,'119',800,'639',720,'119',800,1018,',0',6,950,'97":-0.0639,"101',773,'97',773,'111',773,'99',800,'831',747,6,950,'101',773,'97',773,'111',773,'99',800,'607',700,1018,139,950,'111',773,'101',773,'97',773,854,'511',700,1012,6,'0319',648,'15',747,6,1072,1,'575',171,'575',171,'575',138,']]};','jsMath.Img','={fonts:[50,60,70,85,100,120,144,173,207,249,298,358,430],w:{"50":6.9,"60":8.3,"70":9.7,"85":11.8,"100":13.9,"120":16.7,"144":20,"173":24,"207":28.8,"249":34.6,"298":41.4,"358":49.8,"430":59.8},best:4,update:{},factor:1,loaded:0,SetFont',':function(','B){for(var A in B){if(!','this.update[A',']){',1090,']=[]}',1090,']=',1090,'].concat(B[A])}},AddFont',1088,'A,B){if(!',1086,'[A]){',1086,'[A]={}}jsMath.Add(',1086,'[A],B)},UpdateFonts',':function(){','var D=this.update;','if(!this.loaded){','return }for(var A in D){for(var B=0;B<D[A].length;B++){var C=D[A][B];if(C=="all"){for(C in ','jsMath.TeX[','A]){',1110,'A][C].img','={}}}else{',1110,1113,'={}}}}this.update={}},BestSize',1106,'var B=jsMath.em*this.factor;var A=','this.w[this.fonts[','0]];for(var C=1;C<this.fonts.length;C++){if(B<(',1120,'C]]+2*A)/3){return C-1}A=',1120,'C]]}return C-1},Scale',1106,1108,'return }this.best=this.BestSize();this.em=',1086,'.w[this.fonts[this.best]];','this.scale','=(jsMath.em/this.em);','if(Math.abs(',1131,'-1)<0.12){',1131,'=1}},URL',1088,'A,B,E){var D=(','jsMath.Controls.cookie.','alpha)?"/alpha/":"/plain/";','if(E==null','){E="def.js"}else{E="char"+E+".png"}if(B!=""){B+="/"}','return this.','root+A+D+B+E},LoadFont',1088,'A){',1108,'this.Init()}jsMath.Setup.Script(this.URL(A,""))},Init',1106,'if(',1140,'print||',1140,'stayhires','){',1140,'print=',1140,1155,';this.factor*=3;if(!','jsMath.Controls.','isLocalCookie||!jsMath.Global.isLocal){',1162,'SetCookie(0)}if(','jsMath.Browser.','alphaPrintBug){',1140,'alpha=0}}var B="0123456789ABCDEF";this.HexCode=[];for(var C=0;C<128;C++){var D=Math.floor(C/16);var A=C-16*D;this.HexCode[C]=B.charAt(D)+B.charAt(A)}this.loaded=1}};jsMath.HTML={Em',1088,'A){var C=','5;if(A<0){C++}',1133,'A)<0.000001){A=0}var B=String(A);B=B.replace(/(\\.\\d\\d\\d).+/,"$1");return B+"em"},Spacer',1088,'A){if(A==0){return""}return ',1166,'msieSpaceFix+\'<','span class="spacer" style="margin-','left:\'+this.Em(','A)+\'"></span>\'},Blank',1088,'B,E,G,F){var A="";var D="";if(F){D+="border-left',':"+this.Em(','B)+" solid;";if(',1166,'widthAddsBorder){B=0}}if(B==0){if(',1166,'blankWidthBug){if(',1166,'quirks','){D+="width:1px',';";A=\'<',1179,'right:-1px"></span>\'}else{if(!F',1192,';margin-right:-1px;"}}}}else{D+="width',1184,'B)+";"}if(G==null){G=0}if(E){var C=this.Em(E+G);if(F&&E*jsMath.em<1.5){C="1px";E=1/jsMath.em}D+="height:"+C+";"}if(',1166,'mozInlineBlockBug){G=-E}if(',1166,'msieBorderBug&&!F){G-=jsMath.d}if(G){D+="','vertical-align:"+','this.Em(-G)}return A+\'<span class="blank" ','style="\'+','D+\'"></span>\'},Rule',1088,'A,B){if(B==null){B','=jsMath.TeX.default_rule_thickness}',1144,'Blank(A,B,0,1)},Class',1088,'A,B){return\'<span class="\'+A','+\'">\'+B+"</span','>"},Place',1088,'B,A,D){',1133,'A',')<0.0001){','A=0}',1133,'D',1221,'D=0}if(A||D){var C=\'<','span style="position',': relative',';\';if(A){C+=" margin-left',1184,'A)+";"}if(D){C+=" top:"+this.Em(-D)+";"}B=C',1215,'>"}return B},PlaceSeparateSkips',1088,'E,G,F,I,A,H){',1133,'G',1221,'G=0}',1133,'F',1221,'F=0}if(F){var D=0;var C=0;var B="";if(I!=null){C=A-H;D=I;B=" width',1184,'A-I)+";"}E=','this.Spacer','(D-C)+\'<',1227,1228,'; top:\'+this.Em(-F)+";left',1184,'C)+";"+B+\'">\'+',1246,'(-D)+E+',1246,'(C)+"</span>"}if(G){E=',1246,'(G)+E}return E},PlaceAbsolute',1088,'E,B,H,G,D,C){',1133,'B',1221,'B=0}',1133,'H',1221,'H=0}var F="";var A="";if(',1166,'msieRelativeClipBug&&G!=null){F=',1246,'(-G);B+=G;A=',1246,'(D-C)}E=\'<',1227,':absolute; ',1180,'B)+"; top',1184,'H)+\';">\'+F+E+A+"&nbsp;</span>";return E},','Absolute',1088,'B,A,C,D,E){if(E!="none"){',1133,'E',1221,'E=0}B=\'<',1227,1276,'top:\'+','jsMath.HTML.','Em(E)+\'; left:0em;">\'+B+"&nbsp;</span>"}if(D=="none"){D=0}B+=this.Blank(A,C-D,D);if(',1166,'msieAbsoluteBug){B=\'<',1227,':relative',';">\'+B+"</span>"}B=\'<',1227,1296,';\'+',1166,'msieInlineBlockFix',1215,'>";return B}};','jsMath.Box','=function(C,E,A,B,D){if(D==null){D=jsMath.d}this.type="typeset";this.w=A;this.h=B;this.d=D;this.bh=B;this.bd=D;this.x=0;this.y=0;this.mw=0;this.Mw=A;this.html=E;this.format=C};jsMath.Add(',1305,',{defaultH:0,Null',1106,'return new ',1305,'("null","",0,0,0)},Text',1088,'J,I,A,K,H,G){var E=','jsMath.Typeset.AddClass(','I,J);E=','jsMath.Typeset.','AddStyle(','A,K,E);var B','=jsMath.EmBoxFor(','E);var C=',1317,'TeX(A,K);var F=((I=="cmsy10"||I=="cmex10")?B.h-C.h:C.d*B.h/C.hd);var D=new ',1305,'("text",J,B.w,B.h-F,F);D.style=A;D.size=K;D.tclass=I;if(G!=null){D.d=G*C.scale}else{D.d=0}if(H==null||H==1){D.h=0.9*C.M_height}else{D.h=1.1*C.x_height+C.scale*H}return D},TeX',1088,'H,A,E,B){var I=',1110,'A][H];','if(I.d==null){I.d=0}','if(I.h==null){I.h=','0}if(I.img!=null&&I.c!=""){this.TeXIMG(A,H,',1317,'StyleSize(E,B))}var G=',1317,'TeX(E,B).scale;var D=I.h+',1110,'A].dh;var F=new ',1305,'("text",I.c,I.w*G,D*G,I.d*G);F.style=E;F.size=B;if(I.tclass){F.tclass=I.tclass;if(I.img){F.bh=I.img.bh;F.bd=I.img.bd}else{F.bh=G*jsMath.h;F.bd=G*jsMath.d}}else{F.tclass=A;F.bh=G*',1110,'A].h;F.bd=G*',1110,'A].d;if(',1166,'msieFontBug&&','F','.html.match(/&#/)){','F','.html+=\'<span style="display:none">x</span','>\'}}return F},TeXfallback',1088,'A,D,B,L){var J=',1110,'D][A];if(!J.tclass){J.tclass=D}if(J.img!=null){',1144,'TeXnonfallback(A,D,B,L)}if(J.h!=null&&J.a==null){J.a=J.h-1.1*jsMath.TeX.x_height}var K=J.a;var I=J.d;var H=this.Text(J.c,J.tclass,B,L,K,I);var E=',1317,'TeX(B,L).scale;if(J.bh!=null){H.bh=J.bh*E;H.bd=J.bd*E}else{var G=H.bd+H.bh;var F=',1315,'H.tclass,H.html);F=',1317,1318,'B,L,F);H.bd',1320,'F+',1291,'Blank(1,G)).h-G;H.bh=G-H.bd;if(E==1){J.bh=H.bh;J.bd=H.bd}}if(jsMath.',1346,'H',1348,'H',1350,'>\'}return H},TeXIMG',1088,'E,A,R){var M=',1110,'E][A];if(M.img.size!=null&&M.img.size==R&&M.img.best!=null&&M.img.best==','jsMath.Img.best','){return }var F=(',1086,'.scale!=1);var B=',1379,'+R-4;if(B<0){B=0;F=1','}else{if(','B>=','jsMath.Img.fonts','.length){','B=',1387,'.length-1',';F=1}}var Q=',1086,'[',1387,'[B]];var I=Q[E][A];var G=1/',1086,'.w[',1387,'[B]];if(B!=',1379,'+R-4){if(M.w!=null){G=M.w/I[0]}else{G*=',1387,'[R]/',1387,'[4]*',1387,'[',1379,']/',1387,'[B]}}var N=I[0]*G;var J=I[1]*G;var L=-I[2]*G;var O;var H=(M.w==null||Math.abs(M.w-N)<0.01)?"":" margin-right:"+',1291,'Em(M.w-N)+";";var D="";A=',1086,'.HexCode[A];if(!F&&!',1140,'scaleImg){if(2*N<J||(',1166,'msieAlphaBug&&',1140,'alpha)){D="height',':"+(I[1]*',1166,'imgScale',')+"px;"}D+=" width:"+(I[0]*',1166,1425,')+"px;";O=-I[2]+"px"}else{if(2*N<J||(',1166,'msieAlphaBug&&',1140,1422,':"+',1291,'Em(J*',1166,1425,')+";"}D+=" width:"+',1291,'Em(N*',1166,1425,')+";";O=',1291,'Em(L)}var P=(Math.abs(L)<0.01&&!',1166,'valignBug)?"":" ',1204,'O+";";var K=',1086,'.URL(E,',1387,'[B],A);if(',1166,'msieAlphaBug&&',1140,'alpha){','M.c=\'<img src="\'+','jsMath.blank+\'" ',1206,1166,'msieCenterBugFix+D+P+H','+" filter:progid:DXImageTransform.Microsoft.AlphaImageLoader(src=\'"+K+"\', sizingMethod=\'scale\');\\" />"}else{',1459,'K+\'" ',1206,1166,1463,'+\'" />\'}M.tclass="normal";M.img.bh=J+L;M.img.bd=-L;M.img.size=R;M.img.best=',1379,'},Space',1088,'A){return ','new jsMath.Box("html",',1291,'Spacer(A),A,0,0)},Rule',1088,'A,C){if(C','==null){C',1210,'var B=',1291,'Rule(A,C);return ',1475,'B,A,C,0)},GetChar',1088,'B,',1171,1110,'A][B];','if(C.img!=null){this.TeXIMG(A,B',',4)}if(C.tclass',1480,'.tclass=A}if(!C.computedW){C.w',1320,1315,'C.tclass,C.c)).w',';if(C.h',1480,'.h=',1305,'.defaultH}if(C.d',1480,'.d=0}C.computedW=1}return C},DelimBestFit',1088,'E,J,D,G){if(J==0&&D==0){return null}var I;var F;D','=jsMath.TeX.fam[','D];var A=(G.charAt(1)=="S");var B=(G.charAt(0)=="S");while(J!=null){I=',1110,'D][J];',1331,1305,'.defaultH}',1330,'F=I.h+I.d;if(I.delim){return[J,D,"",E]}if(A&&0.5*F>=E','){return[J,D,"','SS",0.5*F]}if(B&&0.7*F>=E',1517,'S",0.7*F]}if(F>=E||I.n==null',1517,'T",F]}J=I.n}return null},DelimExtendRelative',1088,'I,T,O,V,D){var P=',1110,'O][T];var N','=this.GetChar(P.delim.','top?P','.delim.top',':P.delim.rep,O);var ','A',1527,'rep,O);var M',1527,'bot?P','.delim.bot',1530,'E=',1315,'A.tclass,A.c);','var J=A.w;var S=A.h+A.d;var F;var B;var K;var L;var R;var Q;if(P','.delim.mid){var ','U',1527,'mid,O);Q','=Math.ceil((I-(','N.h+N.d)-(','U.h+U.d)-(M.h+M.d))/(2*(A.h+A.d',')));I=2*','Q*(A.h+A.d)+(N.h+N.d)+(','U.h+U.d)+(M.h+M.d);if(D){F=0}else{F=I/2+V}B=F;K=',1291,'Place(',1315,'N.tclass,N.c),0,F-N.h',')+',1291,1553,1315,'M.tclass,M.c),-(','N.w+M.w)/2,F-(I-M.d))+',1291,1553,1315,'U.tclass,U.c),-(M.w+U.w)/2,F-(I+U.h-U.d)/2);L=(J-U','.w)/2;if(Math.abs(L)<0.0001){L=0}if(L){K+=jsMath.HTML.Spacer(L)}F-=N.h+N.d+A.h;for(R=0;R<Q;R++){K+=jsMath.HTML.Place(E,-J,F-R*S)}','F-=I/2-A.h/2;for(R=0;R<Q;R++){K+=',1291,1553,'E,-J,F-R*S)}}else{Q',1546,1547,'M.h+M.d))/(A.h+A.d));if(N.h+N.d<0.9*(A.h+A.d)){Q=Math.max(1,Q)}I=',1550,'M.h+M.d);if(D){F=0}else{F=I/2+V}B=F;K=',1291,1553,1315,1555,');L=(J-N',1566,'K+=',1291,1553,1315,1560,'J+M.w)/2,B-(I-M.d))}if(D){S=N.h}else{S=I/2+V}var G=',1475,'K,A.w,S,I-S);G.bh=',1110,'O].h;G.bd=',1110,'O].d;return G},DelimExtendAbsolute',1088,'I,S,M,U,B){var R=',1110,'M];var N=R[S];var J;var L','=this.GetChar(N.delim.','top?N',1529,':N.delim.rep,M);var ','A',1598,'rep,M);var K',1598,'bot?N',1536,1601,'O;var Q;var E;var D;var P;if(N',1542,'T',1598,'mid,M);O',1546,'L.h+L.d)-(','T.h+T.d-0.05',')-(','K.h+K.d-0.05','))/(2*(','A.h+A.d-0.05',1549,'O*(A.h+A.d-0.05)+(L.h+L.d)+(',1616,')+(',1618,');J=','jsMath.HTML.PlaceAbsolute(',1315,'L.tclass,L.c),0,0);Q=',1620,';E=L.d-0.05+A.h;D=',1315,'M,A.c);for(P=0;P<O;P++){J+=',1627,'D,0,E+P*Q)}J+=',1627,1315,'T.tclass,T.c),0,E+O*Q-A.h+T.h);E+=O*Q+',1616,';for(P=0;P<O;P++){J+=',1627,'D,0,E+P*Q)}J+=',1627,1315,'K.tclass,K.c),0,E+O*Q-A.h+K.h)}','else{O',1546,1615,1618,'))/(',1620,'));I=',1622,1618,');J=',1627,1315,'L.tclass,L.c),0,0);Q=',1620,';E=L.d-0.05+A.h;D=',1315,1540,'for(P=0;P<O;P++){J+=',1627,'D,0,E+P*Q)}J+=',1627,1315,1645,'var G=L.w;if(B){Q=L.h;E=0}else{Q=I/2+U;E=Q-L.h}J=',1291,1281,'(J,G,R.h,"none",-E);var F=',1475,'J,A.w,Q,I-Q);F.bh=',1110,'M].h;F.bd=',1110,'M].d;return F},Delimiter',1088,'B,I,C,G){var A=4;var F=',1317,'TeX(C,A);if(!I','){return this.Space(F.nulldelimiterspace)}','var ','E=this.DelimBestFit(B,I[','2],I[1],C);',1142,'||E[3]<B){',1685,'4],I[3],C)}',1142,1683,'if(E[2]==""){',1144,'DelimExtend(B,E[0],E[1],F.axis_height,G)}var D=',1305,'.TeX(E[0],E[1],E[2],A).Styled();if(G){D.y=-',1110,'E[1]].dh*F.scale}else{D.y=-((D.h+D.d)/2-D.d-F.axis_height)}',1133,'D.y',1221,'D.y=0}if(D.y){D=',1305,'.SetList([D],E[2],A)}return D},GetCharCode',1088,'B){var A',1508,'B[0]];var D=',1110,'A];var C=D[B[1]];',1492,'[1],4)}if(C.w',1480,'.w',1320,1315,1498,'}if(C.font',1480,'.font=A}return C},AddClass',1088,'B,C,A){if(B==null){B=A}return ',1315,'B,C)},LayoutRelative',1088,'V,f,Y,I,J,N,c,X){if(Y==null){Y=[]}if(I==null){I=[]}if(J==null){J=[]}if(c==null){c=1}','if(X==null){X=1}','var k=jsMath.sizes[V]/100;var G=[];var T=[];var U=[];var E=-1000;var F=E;var K=E;var a;var Z;var M',';for(a=0;a<f.length;a++){','if(J[a]==null){J[a]=0}M=f[a];T[a]=c*jsMath.h*k;U[a]=c*jsMath.d*k;for(Z=0;Z<M.length;Z++){M[Z]=M[Z','].Remeasured();if(','M[Z].h>T[a]){T[a]=M[Z].h}if(M[Z].d>U[a]){U[a]=M[Z].d}if(Z>=G',1388,'G[Z]=M[Z].w',1385,'M[Z].w>G[Z]){',1735,'}}if(M[Z].bh>F){F=M[Z].bh}if(M[Z].bd>K){K=M[Z].bd}}}if(J[f','.length]==null){','J[f.length]=0}if(F==E){F=0}if(K==E){K=0}var A=c','*(jsMath.hd-0.01)*','k;var S=(N||1)*k/6;var R="";var L=0;var e=0;var Q;var b;var O;var P;var C;var B;for(Z=0;Z<G.length;Z++){C=[];O=-T[0]-J[0];L=0',1730,'B=f[a][Z','];if(B&&B.format!="null"){if(','Y[Z]=="l"){Q=0',1385,'Y[Z]=="r"){Q=G[Z]-B.w}else{Q=(G[Z]-B.w)/2}}B.x=Q-L;L=B.w+Q;B.y=O;C[C.length]=B}if(a+1<f',1388,'O-=Math.max(A,U[a]+T[a+1])+S+J[a+1]}}if(I[Z]==null){I[Z]=k}if(C.length>0){P=',1305,'.SetList(C,"T",V);R+=',1291,1553,'P.html,e,0);e=G[Z]-P.w+I[Z]}else{e+=I[Z]}}Q=-I[G',1391,'];O=(T',1391,')*S+J[0];for(a=0;a<G.length;a++){Q+=G[a]+I[a]}for(a=0;a<T.length;a++){O','+=Math.max(A,','T[a]+U[a])+J[a+1]}b=O','/2+jsMath.TeX.axis_height;var ','g=O-b;R+=',1291,'Spacer(e-I[G',1391,']+X*k/6);R=',1291,1553,'R,X*k/6,b);P=',1475,'R,Q+X*k/3,b,g);P.bh=F;P.bd=K;return P},LayoutAbsolute',1088,'R,Z,U,E,F,I,X,S){if(U==null){U=[]}',1142,'){E=[]}if(F==null){F=[]}',1728,'if(S==null){S=1}var b=jsMath.sizes[R]/100;var A=X',1742,'b;var N=(I||1)*b/6;var C=[];var O=[];var Q=[];var P=0;var Y;var L;var J;var V;var T;var G;','for(V=0;V<Z.length;V++){','if(F[V]==null){F[V]=0}G=Z[V];O[V]=X*jsMath.h*b;Q[V]=X*jsMath.d*b;for(T=0;T<G.length;T++){G[T]=G[T',1732,'G[T].h>O[V]){O[V]=G[T].h}if(G[T].d>Q[V]){Q[V]=G[T].d}if(T>=C',1388,'C[T]=G[T].w',1385,'G[T].w>C[T]){',1787,'}}}}if(F[Z',1740,'F[Z.length]=0}J=(O',1391,')*N+F[0];for(V=0;V<O.length;V++){J',1761,'O[V]+Q[V])+F[V+1]}Y=J',1763,'a=J-Y;var M="";var B;P=S*b/6;for(T=0;T<C.length;T++){J=O[0]-Y+F[0];',1782,'B=Z[V][T',1746,'U[T]&&U[T]=="','l"){L=0',1385,1803,'r"){L=C[T]-B.w}else{L=(C[T]-B.w)/2}}M+=',1627,'B.html,P+L,J-Math.max(0,B.bh-jsMath.h*b),B.mw,B.Mw,B.w)}if(V+1<Z',1388,'J',1761,'Q[V]+O[V+1])+N+F[V+1]}}if(E[T]==null){E[T]=b}P+=C[T]+E[T]}P=-E[C',1391,']+S*b/3;for(V=0;V<C.length;V++){P+=C[V]+E[V]}M=',1291,'Spacer(S*b/6',')+M+',1291,1817,');if(',1166,'spanHeightVaries){J=Y-jsMath.h}else{J=0}M=',1291,1281,'(M,P,Y+a,a,J);var K=',1475,'M,P+S*b/3,Y,a);return K},InternalMath',1088,'G,E){G=G.replace(/@\\(([^)]*)\\)/g,"<$1>");if(!G.match(/\\$|\\\\\\(/)){',1144,'Text(G,"normal","T",E).Styled()}var D=0;var B=0;var H;var C="";var A=[];var F;while(D<G',1388,'H=G.charAt(D++);if(H','=="$"){if(C=="$"){','F=jsMath.Parse(G.slice(B,D-','1),null,E);if(F.error){','A[A.length]=this.Text(','F.error,"error","T",E,1,0.2)}else{F.Atomize();A[A.length]=F.mlist.Typeset("T",E).Styled()}C="";B=D}else{',1838,'G.slice(B,D-','1','),"normal","T",E,1,0.2);C','="$";B=D}}else{if(H=="\\\\"){',1834,'=="("&&C==""){',1838,1841,'2',1843,'=")";B=D',1385,'H==")"&&C==")"){',1836,'2),null,'],
  ['E',');if(','F.error','){','A[A.length]=','this.Text(',2,',"error','","T",E,1,0.2',')}else{','F.','Atomize','();',4,'F','.mlist.','Typeset','("T",E).','Styled()}','C="";B=D}}}}}',4,5,'G.slice(B),"normal',8,');','return ','this.','SetList','(A,"T",E)},Set',':function(','C,B,A,D){if(','C&&C.type){if(C','.type=="typeset"){',25,'C}if(C.type=="mlist"){C',15,11,'(B,A);',25,'C',15,16,'(B,A)}if(C.type=="text"){C=',5,'C.text,C.tclass,B,A,C.ascend||null,C.descend||null',1,'D!=0){C.',18,25,'C}C=this','.TeX(','C.c,C.font,B,A',1,'D!=0){C.',18,25,'C}',25,'jsMath.Box.','Null()},',27,29,'D,F,C){','var A=[];','var G;','for(var B=0;B<','D.length;B++){G=D[B];if(G',32,'G=','jsMath.mItem','.',16,'(G)}',4,'G}var E=new ','jsMath.Typeset','(A);',25,'E.',16,'(F,C)}});','jsMath.Package(jsMath.','Box,{Styled',':function(){','if(this.','format=="text"){','this.html','=',75,'.AddClass(','this.tclass',',',86,');',86,'=',75,'.AddStyle(','this.style',',this.size,',86,');delete ',90,';delete ',98,';this.format="html"}',25,'this},Remeasured',83,84,'w>0){this.w=jsMath.EmBoxFor(',86,').w}',25,'this}});',69,'=function(A',',B','){this.type','=A;','jsMath.Add(','this,B)};',120,69,',{Atom',29,'B,A){',25,'new ',69,'(B,{','atom:1,nuc:A})},','TextAtom',29,'C,F,B,A,E){var D=new ',69,'(C',',{atom:1,nuc:{type:"','text",text:F,tclass:B}});if(A','!=null){D.nuc.','ascend=A}if(E',139,'descend=E}',25,'D},TeXAtom',29,'B,','C,A){',25,'new ',69,'(B',137,'TeX",c:C,font:A}})},Fraction',29,'B,A,F,D,E,C){',25,'new ',69,'("fraction",{from:B,num:A,den:F,','thickness',':D,left:E,right:C})},Space',29,'A){',25,'new ',69,'("space",{w:A})},',16,29,'A){',25,'new ',69,'("ord",{',131,'HTML',29,'A){',25,'new ',69,'("html",{html:A})}});','jsMath.mList','=function(D,A,B,C){','if(D){','this.mlist','=D}else{',186,'=[]}','if(C==null){C','="T"}if(B==null){B=4}','this.data','={openI:null,overI:null,overF:null,font:A,','size:B,style:C','};this.init={',194,'}};',81,'mList,{Add',29,'A){return(',186,'[','this.mlist.length',']=A)},Get',29,'A){',25,186,'[A]},Length',83,25,204,'},Last',83,'if(',204,'==0){',25,'null}',25,186,'[',204,'-1]},Range',29,126,'if(A==null){A=',204,'}',25,'new ',183,'(',186,'.slice(B,A+1))},Delete',29,'D,C){',190,'=D}if(',186,'.splice){',186,'.splice(D,C-D+1',9,63,65,204,';B++){if(B<D||B>C){',4,186,'[B]}}',186,'=A}},Open',29,'D){var C=this.Add(new ',69,'("boundary",{','data:',192,'}));var A=',192,';',192,'={};for(var B in A){',192,'[B]=A[B]}delete ',192,'.overI',103,192,'.overF;',192,'.openI=',204,'-1;if(D!=null){C.left=D}',25,'C},Close',29,'C){if(C!=null){C=new ',69,258,'right:C})}var E;','var B=',192,'.openI;var F=',192,'.overI;var ','G=',192,272,192,'=',186,'[B].data;if(F){E=',69,'.Fraction(','G.name,{','type:"mlist",mlist:this.Range(','B+1,F-1)},{',299,'F)},G.',160,',G.left,G.right',1,'C){var A=new ',183,'([',186,'[B],E,C]);E=',69,'.Atom("inner",{type:"mlist",mlist:A})}}else{var D=B+1;if(C){this.Add(C);D--}E=',69,'.Atom((C)?"inner":"ord",{',299,'D)})}this.Delete(B,this.Length());',25,'this.Add(E)},Over',83,284,192,288,'C=',192,272,'var A=',69,297,'C.name,{',299,'open+1,B-1)},{',299,'B)},C.',160,',C.left,C.right);',186,'=[A]},',11,29,238,'var A;var E="";',98,'=D;this.size=C;',65,204,';B++){A=',186,'[B];A.delta=0;if(A.type=="choice"){',186,'=this.',11,'.choice(',98,',A,B,',186,');B--}else{',84,11,'[A.type]){var F=this.',11,'[A.type];F(',98,99,'A,E,this,B)}}E=A}if(A&&A','.type=="bin"){','A','.type="ord"}','if(',204,'>=2&&A.type','=="boundary"&&',186,'[0].type=="boundary"){this.','AddDelimiters','(D,C)}},',374,29,'A,N){var M=-10000;var E=M;var G=M;for(var D=0;D<',204,';D++){var F=',186,'[D];if(F.atom||F.type=="box"){E','=Math.max(','E,F.nuc.h+F.nuc.y);G',383,'G,F.nuc.d-F.nuc.y)}}var C=jsMath.TeX;var I=',75,50,'A,N).','axis_height',';var L',383,'E-I,G+I);var K',383,'Math.floor(C.integer*L/500)*C.delimiterfactor,C.integer*(2*L-C.delimitershortfall))/C.integer;',284,186,'[0];var J=',186,'[',204,'-1];B.nuc=',58,'Delimiter(','K,B.left,A);J.nuc=',58,404,'K,J.right,A);B.type="open";B.atom=1',103,'B.left;J.type="close";J.atom=1',103,'J.right},',16,29,147,284,'new ',75,'(',186,');',25,'B.',16,'(C,A)}});',120,183,'.prototype.',11,',{style',29,'D,C,A,E,B){B.','style=A.style},size',29,432,'size=A.size},phantom',29,'C,B,A){','var D=A.nuc','=jsMath.Box.Set(','A.phantom',',C,B',1,'A.h){D.','Remeasured();','D.html=','jsMath.HTML.Spacer','(D.w',9,'D.html="",D.w=D.Mw=D.mw=0}if(!A.v){','D.h=D.d=0','}D.bd=D.bh=0',103,441,';A.type="box"},','smash',29,438,'var D=A.nuc',440,'A.smash',',C,B).',445,451,103,461,455,'raise',29,438,'A.nuc',440,'A.nuc,C,B);var ','D=A.raise;','A.nuc.html','=','jsMath.HTML.','Place(',475,',0,D,A.nuc.mw,A.nuc.Mw,A.nuc.w);A.nuc.h+=D;A.nuc.d-=D;A','.type="ord";','A.atom=1},lap',29,'D,C,A){var ','E',440,'A.nuc,','D,C).',445,'var B=[E];if(A.lap=="llap"){E.x=-E.w}','else{if(A.lap=="','rlap"){B[1]=',69,'.Space(-E.w)}',491,'ulap"){E.y=E.d;E.h=E.d=0}',491,'dlap"){E.y=-E.h;E.h=E.d=0}}}}A','.nuc=jsMath.Box.SetList','(B,D,C',1,'A.lap=="ulap"||A.lap=="dlap"){A.nuc.h=A.nuc.d=0}A.type="box";delete A.atom},bin',29,'D,B,A,E){if(E&&E.type){var C=E.type;if(C=="bin"||C=="op"||C=="rel"||C=="open"||C=="punct"||C==""||(C',371,'E.left!="")){A.type="ord"}}else{A',367,'jsMath.mList.prototype.Atomize.SupSub(','D,B,A)},rel',29,30,'D.type&&','D',365,'D',367,508,'C,B,A)},','close',29,30,512,'D',365,'D',367,508,518,'punct',29,30,512,'D',365,'D',367,508,518,'open',29,438,508,518,'inner',29,438,508,518,'vcenter',29,438,'var D',440,473,'E=',75,50,'C,B);D.y=E.',390,'-(D.h-D.d)/2;A.nuc=D;A',481,508,518,'overline',29,484,'G=',75,50,'D,C);var E',440,487,75,'.PrimeStyle(D),C).Remeasured();var B=G.default_rule_thickness;var F=jsMath.Box.Rule(E.w,B);F.x=-F.w;F.y','=E.h+3*B;A',499,'([E,F],D,C);A.nuc.','h+=B;A',481,508,'D,C,A)},','underline',29,484,'G=',75,50,'D,C);var E',440,487,75,574,'=-E.d-3*B-B;A',499,577,'d+=B;A',481,508,581,'radical',29,'B,M,G){var D=',75,50,'B,M);var K=',75,'.PrimeStyle(B);var ','F',440,'G.nuc,K,M).',445,'var L=D','.default_rule_thickness',';var C=L;if(B=="D"||B=="D\'"){C=D.x_height}var A=L+C/4;var E=',58,404,'F.h+F.d+A+L,[0,2,112,3,112],B,1',1,'E.d>F.h+F.d+A){A=(A+E.d-F.h-F.d)/2}E.y=F.h+A;var J=',58,'Rule(F.w,L);J.y=E.y-L/2;J.h+=3*L/2;F.x=-F.w;var I=',75,'.UpStyle(',75,623,'B));var H',440,'G.root||null,I,M).',445,'if(G.root){H.y=0.55*(F.h+F.d+3*L+A)-F.d;E.x',383,'H.w-(11/18)*E.w,0);J.x=(7/18)*E.w;H.x=-(H.w+J.x)}G',499,'([E,H,J,F],B,M);G',481,508,'B,M,G)},accent',29,'B,P,I){var E=',75,50,'B,P);var L=',75,607,'H',440,'I.nuc,L,P);var N=H.w;var O;var J;var C=0;if(I','.nuc.type=="TeX','"){J=','jsMath.TeX[','I.nuc.font];if(J[I.nuc.c].krn&&J.skewchar){O=J[I.nuc.c].krn[J.skewchar]}C=J[I.nuc.c].ic;',190,'=0}}if(O==null){O=0}var K=I.accent[2];var D=jsMath.TeX.fam[I.accent[1]];J=',650,'D];while(J[K].n&&J[J[K].n].w<=N){K=J[K].n}var M=Math.min(H.h,E.x_height',1,'I',648,'"){var G=',69,'.Atom("ord",I.nuc);G.sup=I.sup;G.sub=I.sub;G.delta=0;',508,'B,P,G);M+=(G.nuc.h-H.h);H=I.nuc=G.nuc',103,'I.sup',103,'I.sub}var F=',58,'TeX(K,D,B,P);F.y=H.h-M;F.x=-H.w+O+(N-F.w)/2;if(jsMath.Browser.msieAccentBug){F.html+=',447,'(0.1);F.w+=0.1;F.Mw+=0.1}if(J[K].ic||C){F.x+=(C-(J[K].ic||0))*E.scale}I',499,'([H,F],B,P',1,'I.nuc.w!=H.w){var A=',69,'.Space(','H.w-I.nuc.w);I',499,'([I.nuc,A],B,P)}I',481,508,'B,P,I)},op',29,'D,O,J){var G=',75,50,'D,O);var I;J.delta=0;var N=(D','.charAt(0)=="','D");if(J.limits==null&&N){J.limits=1}if(J',648,'"){',284,650,'J.nuc.font][','J.nuc.c];if(N&&B.n){J.nuc.c=B.n;B=',650,695,'B.n]}I=J.nuc',440,'J.nuc,D,O',1,'B.ic){J.delta=B.ic*G.scale;if(J.limits||!J.sub||','jsMath.Browser.msieIntegralBug','){I=J',499,'([I,',69,677,'J.delta)],D,O)}}I.y=-((I.h+I.d)/2-I.d-G.',390,1,'Math.abs(I.y)<0.0001){I.y=0}}if(!I){I=J.nuc',440,701,').Remeasured()}if(J.limits){var F=I.w;var L=I.w;var E=[I];var K=0;var M=0;if(J.sup){var H',440,'J.sup,',75,623,'D),O).',445,'H.x=((I.w-H.w)/2+J.delta/2)-L;K=G.big_op_spacing5;F',383,'F,H.w);L+=H.x+H.w;H.y=I.h+H.d+I.y+Math.max(G.big_op_spacing1,G.big_op_spacing3-H.d);','E[E.length]=','H',103,'J.sup}if(J.sub){var A',440,'J.sub,',75,'.DownStyle(','D),O).',445,'A.x=((I.w-A.w)/2-J.delta/2)-L;M=G.big_op_spacing5;F',383,'F,A.w);L+=A.x+A.w;A.y=-I.d-A.h+I.y-Math.max(G.big_op_spacing2,G.big_op_spacing4-A.h);',726,'A',103,'J.sub}if(F>I.w){I.x=(F-I.w)/2;L+=I.x}if(L<F){',726,69,677,'F-L)}J',499,'(E,D,O);J.nuc.h+=K;J.nuc.d+=M','}else{if(',704,'&&J.sub&&B&&B.ic){J',499,'([I,',58,'Space(-B.ic*G.scale)],D,O',9,'if(I.y){J',499,'([I],D,O)}}',508,'D,O,J)}},ord',29,'A,I,G,B,F,E){if(G',648,'"&&!G.sup&&!G.sub){var D=F.mlist[E+1];if(D&&D.atom&&D.type&&(D.type=="ord','"||D.type=="','op',766,'bin',766,'rel',766,'open',766,'close',766,'punct")){if(D',648,'"&&D.nuc.font==G.nuc.font){G.textsymbol=1;var H=',650,'G.nuc.font][G.nuc.c].krn;H*=',75,50,'A,I).scale;if(H&&H[D.nuc.c]){for(var C=F',15,'length-1;C>E;C--){F.mlist[C+1]=F.mlist[C]}F.mlist[E+1]=',69,677,'H[D.nuc.c])}}}}',508,'A,I,G)},fraction',29,'R,N,B){var U=',75,50,'R,N);var L=0;if(B.',160,'!=null){L=B.',160,749,'B.from.match(/over/)){L=U',613,'}}var Q=(R',689,'D");var F=(R=="D")?"T":(R=="D\'")?"T\'":',75,623,'R);var P=(Q)?"T\'":',75,733,'R);var E',440,'B.num,F,N).',445,'var D',440,'B.den,P,N).',445,'var K;var J;var I;var O;var M;var G=(Q)?U.delim1:U.delim2;var A=[',58,404,'G,B.left,R)];var S=',58,404,'G,B.right,R',1,'E.w<D.w){E.x=(D.w-E.w)/2;D.x=-(E.w+E.x);I=D.w;A[1]=E;A[2]=D}else{D.x=(E.w-D.w)/2;E.x=-(D.w+D.x);I=E.w;A[1]=D;A[2]=E}if(Q){K=U.num1;J=U.denom1}else{K=(L!=0)?U.num2:U.num3;J=U.denom2}if(L==0){O=(Q)?7*U',613,':3*U',613,';M=(K-E.d',')-(D.h-J);if(M<O){','K+=(O-M)/2;J+=(O-M)/2}}else{O=(Q)?3*L:L;var T=U.',390,';M=(K-E.d)-(T+L/2',1,'M<O){K+=O-M}M=(T-L/2',832,'J+=O-M}var C=',58,'Rule(I,L);C.x=-I;C.y=T-L/2;',4,'C}E.y=K;D.y=-J;',4,'S;B',499,'(A,R,N);B',481,'B.atom=1',103,'B.num',103,'B.den;',508,'R,N,B)},SupSub',29,'F,R,L){var H=',75,50,'F,R);var P=L.nuc;var K=L.nuc',440,'L.nuc,F,R,0',1,'K.format=="null"){K=L.nuc=',58,'Text("","normal",F,R)}if(P.type=="TeX"){if(!L.textsymbol){var E=',650,'P.font][P.c];if(E.ic){L.delta=E.ic*H.scale;if(!L.sub){K=L',499,'([K,',58,'Space(L.delta)],F,R);L.delta=0}}}else{L.delta=0}}if(!L.sup&&!L.sub){return }L.nuc.Styled();var I=',75,733,'F);var M=',75,623,'F);var D=',75,50,'M,R).sup_drop;',284,75,50,'I,R).sub_drop;var O=0;var N=0;var G;if(P.type&&P.type!="text"&&P.type!="TeX"&&P.type!="null"){O=K.h-D;N=K.d+B}if(L.sub){var A',440,'L.sub,I,R);A=',58,27,'([A,',69,'.Space(H.scriptspace)],F,R',')}if(!L.sup){A.y=-Math.max(N,H.sub1,A.h-(4/5)*',75,50,'I,R).x_height);L',499,'([K,A],F,R).Styled();delete L.sub;return }var J',440,'L.sup,M,R);J=',58,27,'([J,',69,892,1,'F=="D"){G=H.sup1',749,'F','.charAt(','F','.length-1)=="\'"){','G=H.sup3}else{G=H.sup2}}O',383,'O,G,J.d+',75,50,'M,R).x_height/4);if(!L.sub){J.y=O;L',499,'([K,J],F,R',101,'L.sup;return }N',383,'N,',75,50,'I,R).sub2);var Q=H',613,';if((O-J.d)-(A.h-N)<4*Q){N=4*Q+A.h-(O-J.d);G=(4/5)*H.x_height-(O-J.d',1,'G>0){O+=G;N-=G}}J.',445,'A.',445,'J.y=O;A.y=-N;J.x=L.delta;if(J.w+J.x>A.w){J.x-=A.w;L',499,'([K,A,J],F,R',9,'A.x-=(J.w+J.x);L',499,'([K,J,A],F,R)}delete L.sup',103,'L.sub}});',75,116,118,'="typeset";',186,'=A};',120,75,',{upStyle:{D:"S",T:"S","','D\'":"S\'","T\'":"S\'",S:"SS','",SS:"SS","','S\'":"SS\'","SS\'":"SS\'"},','downStyle:{D:"S\'",T:"S\'","',953,'\'",SS:"SS\'","',955,'UpStyle',29,'A){',25,'this.upStyle[A]},DownStyle',29,'A){',25,'this.downStyle[A]},PrimeStyle',29,'A){if(A',910,'A',912,25,'A}',25,'A+"\'"},StyleValue',29,126,'if(B=="S"||B=="S\'"){',25,'0.7*A}if(B=="SS"||B=="SS\'"){',25,'0.5*A}',25,'A},StyleSize',29,'B,A){if(B=="S"||B=="S\'"){A=Math.max(0,A-2)}else{if(B=="SS"||B=="SS\'"){A=Math.max(0,A-4)}}return ','A},TeX',29,988,'jsMath.TeXparams[A]},AddStyle',29,438,'if(C=="S"||C=="S\'"){B',383,'0,B-2',9,'if(C=="SS"||C=="SS\'"){B',383,'0,B-4)}}if(B!=4){A=\'<span class="size\'+B+\'">\'+A+"</span>"}',25,'A},AddClass',29,'A,B){if(A!=""&&A!="normal"){B=',477,'Class(A,B)}',25,'B}});jsMath.Package(',75,',{DTsep:{ord',':{op:1,bin:2,rel:3,inner:1},','op',':{ord:1,op:1',',rel:3,inner:1},bin:{ord:2,op:2,open:2,inner:2},rel:{ord:3,op:3,open:3,inner:3},open:{},close',1012,'punct',1014,',rel:1,open:1,close',':1,punct:1,inner:1','},inner',1014,',bin:2,rel:3,open',1020,'}},SSsep:{ord:{op:1},op',1014,'},bin:{},rel:{},open:{},close:{op:1},punct:{},inner:{op:1}},sepW:["","thinmuskip","medmuskip","thickmuskip"],','GetSeparation',29,'A,D,B){if(A&&A.atom&&D.atom){var C=this.DTsep;if(B',689,'S"){C=this.SSsep}var E=C[A.type];if(E&&E[D.type]!=null){',25,650,'this.sepW[E[D.type]]]}}',25,'0},',16,29,238,98,343,'var G=-10000;this.w=0;this.mw=0;this.Mw=0;this.h=G;this.d=G;this.bh=this.h;this.bd=this.d;this.tbuf="";this.tx=0;',90,'="";','this.cbuf','="";this.hbuf="";this.hx=0;var A=null;var F;this.x=0;','this.dx=0;',65,204,';B++){F=A;A=',186,'[B];switch(A.type){case"size":','this.FlushClassed();','this.size=A.size;','A=F;break;case"','style":',1054,'if(',98,910,98,912,98,'=A.style+"\'"}else{',98,'=A.style}',1056,'space":if(typeof (A.w)=="object"){if(',98,910,'1)=="S"){A.w=0.5*A.w[0]/18',749,98,689,'S"){A.w=0.7*A.w[0]/18}else{A.w=A.w[0]/18}}}this.dx+=A.w-0;',1056,'html":',1054,'if(this.hbuf==""){this.hx=this.','x}','this.hbuf+=','A.html;A=F;break;default:if(!A.atom&&A.type!="box"){break}A.nuc.x+=this.dx+this.',1028,'(F,A,',98,');','if(A.nuc.x||A.nuc.y){','A.nuc.',18,1048,'this.x=this.x+this.w;',84,'x','+A.nuc.x+A.nuc.','mw','<this.mw){this.mw=this.','x',1095,'mw}',84,'w',1095,'Mw','>this.Mw){this.Mw=this.w',1095,'Mw}this.w+=A.nuc.w+A.nuc.x;if(A.nuc.',85,'if(',90,'!=A.nuc.tclass&&',90,'!=""){','this.FlushText','()}',84,'tbuf==""&&',1046,'==""){this.tx=this.x}this.tbuf+=',475,';',90,'=A.nuc.tclass}else{',1054,1088,'this.Place(A.nuc)}',1080,'x}',1082,475,'}this.h',383,'this.h,A.nuc.h+A.nuc.y);this.bh',383,'this.bh,A.nuc.bh);this.d',383,'this.d,A.nuc.d-A.nuc.y);this.bd',383,'this.bd,A.nuc.bd);break}}',1054,84,'dx){',1082,447,'(this.dx);this.w+=this.dx;',84,'w',1105,'}',84,'w',1097,'w}}',84,'hbuf==""){',25,58,'Null()}',84,'h==G){this.h=0}',84,'d==G){this.d=0}','var E=new jsMath.','Box("html",this.hbuf,this.w,this.h,this.d);E.bh=this.bh;E.bd=this.bd;E.mw=this.mw;E.Mw=this.Mw;',25,'E},FlushText',83,84,'tbuf','==""){return }',1046,'+=',75,'.AddClass(',90,',this.tbuf);this.tbuf="";',90,'=""},FlushClassed',83,1114,'();',84,'cbuf',1170,1080,'tx}',1082,75,'.AddStyle(',98,99,1046,');',1046,'=""},Place',29,'B){var A=\'<','span style="position: relative',';\';if(B.x){A+=" margin-left',':"+jsMath.HTML.Em','(B.x)+";"}if(B.y){A+=" top',1200,'(-B.y)+";"}B.html=A+\'">\'+B.html+"</span>";','B.h+=B.y;B.d-=B.y;B.x=0;B.y=0','},PlaceSeparateSkips',29,'B){if(B.y){var D=B.Mw-B.w;var C=B.mw;var A=B.Mw-B.mw;B.html=',447,'(C-D)+\'<',1198,'; top:\'+',477,'Em(-B.y)+";left',1200,'(D)+"; width',1200,'(A)+\';">\'+',447,'(-C)+B.html+',447,'(D)+"</span>"}if(B.x){B.html=',447,'(B.x)+B.html}',1204,'}});jsMath.Parse',184,1163,'Parser(D,A,B,C);E.Parse();',25,'E};jsMath.Parser',184,'this.string=D;this.i=0;',186,'=new ',183,'(null,A,B,C)};',81,'Parser,{cmd:"\\\\",open:"{",close:"}",letter:/[a-z]/i,number:/[0-9]/,scriptargs:/^((math|text)..|mathcal|[hm]box)$/,mathchar:{"!":[5,0,33],"(":[4,0,40],")":[5,0,41],"*":[2,2,3],"+":[2,0,43],",":[6,1,59],"-":[2,2,0],".":[0,1,58],"/":[0,1,61],":":[3,0,58],";":[6,0,59],"<":[3,1,60],"=":[3,0,61],">":[3,1,62],"?":[5,0,63],"[":[4,0,91],"]":[5,0,93],"|":[0,2,106]},special:{"~":"Tilde","^":"HandleSuperscript",_:"HandleSubscript"," ":"Space","\\01','":"Space","\\','t',1239,'r',1239,'n":"Space","\'":"Prime","%":"HandleComment","&":"HandleEntry","#":"Hash"},mathchardef:{braceld:[0,3,122],bracerd:[0,3,123],bracelu:[0,3,124],braceru:[0,3,125],alpha:[0,1,11],beta:[0,1,12],gamma:[0,1,13],delta:[0,1,14],epsilon:[0,1,15],zeta:[0,1,16],eta:[0,1,17],theta:[0,1,18],iota:[0,1,19],kappa:[0,1,20],lambda:[0,1,21],mu:[0,1,22],nu:[0,1,23],xi:[0,1,24],pi:[0,1,25],rho:[0,1,26],sigma:[0,1,27],tau:[0,1,28],upsilon:[0,1,29],phi:[0,1,30],chi:[0,1,31],psi:[0,1,32],omega:[0,1,33],varepsilon:[0,1,34],vartheta:[0,1,35],varpi:[0,1,36],varrho:[0,1,37],varsigma:[0,1,38],varphi:[0,1,39],Gamma:[7,0,0],Delta:[7,0,1],Theta:[7,0,2],Lambda:[7,0,3],Xi:[7,0,4],Pi:[7,0,5],Sigma:[7,0,6],Upsilon:[7,0,7],Phi:[7,0,8],Psi:[7,0,9],Omega:[7,0,10],aleph:[0,2,64],imath:[0,1,123],jmath:[0,1,124],ell:[0,1,96],wp:[0,1,125],Re:[0,2,60],Im:[0,2,61],partial:[0,1,64],infty:[0,2,49],prime:[0,2,48],emptyset:[0,2,59],nabla:[0,2,114],surd:[1,2,112],top:[0,2,62],bot:[0,2,63],triangle:[0,2,52],forall:[0,2,56],exists:[0,2,57],neg:[0,2,58],lnot:[0,2,58],flat:[0,1,91],natural:[0,1,92],sharp:[0,1,93],clubsuit:[0,2,124],diamondsuit:[0,2,125],heartsuit:[0,2,126],spadesuit:[0,2,127],coprod:[1,3,96],bigvee:[1,3,87],bigwedge:[1,3,86],biguplus:[1,3,85],bigcap:[1,3,84],bigcup:[1,3,83],intop:[1,3,82],prod:[1,3,81],sum:[1,3,80],bigotimes:[1,3,78],bigoplus:[1,3,76],bigodot:[1,3,74],ointop:[1,3,72],bigsqcup:[1,3,70],smallint:[1,2,115],triangleleft:[2,1,47],triangleright:[2,1,46],bigtriangleup:[2,2,52],bigtriangledown:[2,2,53],wedge:[2,2,94],land:[2,2,94],vee:[2,2,95],lor:[2,2,95],cap:[2,2,92],cup:[2,2,91],ddagger:[2,2,122],dagger:[2,2,121],sqcap:[2,2,117],sqcup:[2,2,116],uplus:[2,2,93],amalg:[2,2,113],diamond:[2,2,5],bullet:[2,2,15],wr:[2,2,111],div:[2,2,4],odot:[2,2,12],oslash:[2,2,11],otimes:[2,2,10],ominus:[2,2,9],oplus:[2,2,8],mp:[2,2,7],pm:[2,2,6],circ:[2,2,14],bigcirc:[2,2,13],setminus:[2,2,110],cdot:[2,2,1],ast:[2,2,3],times:[2,2,2],star:[2,1,63],propto:[3,2,47],sqsubseteq:[3,2,118],sqsupseteq:[3,2,119],parallel:[3,2,107],mid:[3,2,106],dashv:[3,2,97],vdash:[3,2,96],leq:[3,2,20],le:[3,2,20],geq:[3,2,21],ge:[3,2,21],lt:[3,1,60],gt:[3,1,62],succ:[3,2,31],prec:[3,2,30],approx:[3,2,25],succeq:[3,2,23],preceq:[3,2,22],supset:[3,2,27],subset:[3,2,26],supseteq:[3,2,19],subseteq:[3,2,18],"in":[3,2,50],ni:[3,2,51],owns:[3,2,51],gg:[3,2,29],ll:[3,2,28],not:[3,2,54],sim:[3,2,24],simeq:[3,2,39],perp:[3,2,63],equiv:[3,2,17],asymp:[3,2,16],smile:[3,1,94],frown:[3,1,95],Leftrightarrow:[3,2,44],Leftarrow:[3,2,40],Rightarrow:[3,2,41],leftrightarrow:[3,2,36],leftarrow:[3,2,32],gets:[3,2,32],rightarrow:[3,2,33],to:[3,2,33],mapstochar:[3,2,55],leftharpoonup:[3,1,40],leftharpoondown:[3,1,41],rightharpoonup:[3,1,42],rightharpoondown:[3,1,43],nearrow:[3,2,37],searrow:[3,2,38],nwarrow:[3,2,45],swarrow:[3,2,46],minuschar:[3,2,0],hbarchar:[0,0,22],lhook:[3,1,44],rhook:[3,1,45],ldotp:[6,1,58],cdotp:[6,2,1],colon:[6,0,58],"#":[7,0,35],"$":[7,0,36],"%":[7,0,37],"&":[7,0,38]},delimiter:{"(":[0,0,40,3,0],")":[0,0,41,3,1],"[":[0,0,91,3,2],"]":[0,0,93,3,3],"<":[0,2,104,3,10],">":[0',',2,105,3,11],"\\\\','lt":[0',',2,104,3,10],"\\\\','gt":[0,2,105,3,11],"/":[0,0,47,3,14],"|":[0,2,106,3,12],".":[0,0,0,0,0],"\\\\":[','0,2,110,3,15],"\\\\','lmoustache":[4,3,122,3,64],"\\\\rmoustache":[5,3,123,3,65],"\\\\lgroup":[4,6,40,3,58],"\\\\rgroup":[5,6,41,3,59],"\\\\arrowvert','":[0,2,106,3,','60],"\\\\Arrowvert":[0,2,107,3,61],"\\\\bracevert',1251,'62],"\\\\Vert":[0,2,107,3,13],"\\\\|":[0,2,107,3,13],"\\\\vert',1251,'12],"\\\\uparrow":[3,2,34,3,120],"\\\\downarrow":[3,2,35,3,121],"\\\\updownarrow":[3,2,108,3,63],"\\\\Uparrow":[3,2,42,3,126],"\\\\Downarrow":[3,2,43,3,127],"\\\\Updownarrow":[3,2,109,3,119],"\\\\backslash":[',1249,'rangle":[5',1245,'langle":[4',1247,'rbrace":[5,2,103,3,9],"\\\\lbrace":[4,2,102,3,8],"\\\\}":[5,2,103,3,9],"\\\\{":[4,2,102,3,8],"\\\\rceil":[5,2,101,3,7],"\\\\lceil":[4,2,100,3,6],"\\\\rfloor":[5,2,99,3,5],"\\\\lfloor":[4,2,98,3,4],"\\\\lbrack":[0,0,91,3,2],"\\\\rbrack":[0,0,93,3,3]},macros:{displaystyle',':["HandleStyle","','D"],textstyle',1263,'T"],scriptstyle',1263,'S"],scriptscriptstyle',1263,'SS"],rm',':["HandleFont",','0],mit',1271,'1],oldstyle',1271,'1],cal',1271,'2],it',1271,'4],bf',1271,'6],font:["Extension","font"],left:"HandleLeft",right:"HandleRight",arcsin',':["NamedOp",0],','arccos',1283,'arctan',1283,'arg',1283,'cos',1283,'cosh',1283,'cot',1283,'coth',1283,'csc',1283,'deg',1283,'det',':"NamedOp",','dim',1283,'exp',1283,'gcd',1303,'hom',1283,'inf',1303,'ker',1283,'lg',1283,'lim',1303,'liminf',':["NamedOp",null,\'lim<span style="margin-left: \'+1/6+\'em"></span>','inf\'],limsup',1321,'sup\'],ln',1283,'log',1283,'max',1303,'min',1303,'Pr',1303,'sec',1283,'sin',1283,'sinh',1283,'sup',1303,'tan',1283,'tanh',1283,549,':["HandleAtom","',549,'"],',564,1347,564,'"],',582,1347,582,'"],over',':"HandleOver",','overwithdelims',1358,'atop',1358,'atopwithdelims',1358,'above',1358,'abovewithdelims',1358,'brace',':["HandleOver','","\\\\{","\\\\}"],brack',1370,'","[","]"],choose',1370,'","(",")"],overbrace',':["Extension","leaders"],','underbrace',1376,'overrightarrow',1376,'underrightarrow',1376,'overleftarrow',1376,'underleftarrow',1376,'overleftrightarrow',1376,'underleftrightarrow',1376,'overset',':["Extension","underset-overset"],','underset',1392,'llap',':"HandleLap",','rlap',1396,'ulap',1396,'dlap',1396,'raise:"RaiseLower",lower:"RaiseLower",moveleft',':"MoveLeftRight",','moveright',1404,'frac:"Frac",root:"Root",sqrt:"Sqrt",hbar',':["Macro","\\\\','hbarchar\\\\kern-.5em h"],ne',1408,'not="],neq',1408,'not="],notin',1408,'mathrel{\\\\','rlap{\\\\kern2mu/}}\\\\in"],cong',1408,1415,'lower2mu{\\\\mathrel{{\\\\rlap{=}\\\\raise6mu\\\\sim}}}}"],bmod',1408,'mathbin{\\\\rm mod}"],pmod',1408,'kern 18mu ({\\\\rm mod}\\\\,\\\\,#1)",1],"int":["Macro","\\\\intop\\\\nolimits"],oint',1408,'ointop\\\\nolimits"],doteq',1408,'buildrel\\\\textstyle.\\\\over="],ldots',1408,'mathinner{\\\\','ldotp\\\\ldotp\\\\ldotp}"],cdots',1408,1429,'cdotp\\\\cdotp\\\\cdotp}"],vdots',1408,1429,'rlap{\\\\raise8pt{.\\\\rule 0pt 6pt 0pt}}\\\\rlap{\\\\raise4pt{.}}.}"],ddots',1408,1429,'kern1mu\\\\raise7pt{\\\\rule 0pt 7pt 0pt .}\\\\kern2mu\\\\raise4pt{.}\\\\kern2mu\\\\raise1pt{.}\\\\kern1mu}"],joinrel',1408,1415,'kern-4mu}"],relbar',1408,1415,'smash-}"],Relbar',1408,'mathrel="],bowtie',1408,'mathrel\\\\triangleright\\\\joinrel\\\\mathrel\\\\triangleleft"],models',1408,'mathrel|\\\\joinrel="],mapsto',1408,1415,'mapstochar\\\\','rightarrow}"],rightleftharpoons',1408,549,'{\\\\',1415,'rlap{\\\\raise3mu{\\\\rightharpoonup}}}\\\\leftharpoondown}"],hookrightarrow',1408,'lhook','\\\\joinrel\\\\rightarrow','"],hookleftarrow',1408,'leftarrow\\\\joinrel\\\\','rhook"],Longrightarrow',1408,'Relbar\\\\joinrel\\\\','Rightarrow"],','longrightarrow',1408,'relbar',1463,'"],longleftarrow',1408,1466,'relbar"],Longleftarrow',1408,'Leftarrow\\\\joinrel\\\\','Relbar"],longmapsto',1408,1415,1454,'minuschar',1463,'}"],longleftrightarrow',1408,'leftarrow',1463,'"],','Longleftrightarrow',1408,1480,1470,'iff:["Macro","\\\\;\\\\',1492,'\\\\;"],mathcal',':["Macro","{\\\\','cal #1}",1],mathrm',1499,'rm #1}",1],mathbf',1499,'bf #1}",1],','mathbb',1499,1504,'mathit',1499,'it #1}",1],textrm',1408,'mathord{\\\\hbox{#1}}",1],textit',1408,'mathord{\\\\class{','textit','}{\\\\hbox{#1}}}",1],','textbf',1408,1514,1517,1516,'pmb',1408,'rlap{#1}\\\\kern1px{#1}",1],TeX:["Macro","T\\\\kern-.1667em\\\\lower.5ex{E}\\\\kern-.125em X"],limits:["Limits",1],nolimits:["Limits",0],",":["Spacer",1/6],":":["Spacer",1/6],">":["Spacer",2/9],";":["Spacer",5/18],"!":["Spacer",-1/6],enspace:["Spacer",1/2],quad:["Spacer",1],qquad:["Spacer",2],thinspace:["Spacer",1/6],negthinspace:["Spacer",-1/6],hskip:"Hskip",kern:"Hskip",rule:["Rule","colored"],space:["Rule","blank"],big',':["MakeBig","','ord",0.85],Big',1525,'ord",1.15],bigg',1525,'ord",1.45],Bigg',1525,'ord",1.75],bigl',1525,'open",0.85],Bigl',1525,'open",1.','15],biggl',1525,1536,'45],Biggl',1525,1536,'75],bigr',1525,'close",0.85],Bigr',1525,'close",1.','15],biggr',1525,1547,'45],Biggr',1525,1547,'75],bigm',1525,'rel",0.85],Bigm',1525,'rel",1.15],biggm',1525,'rel",1.45],Biggm',1525,'rel",1.75],mathord',1347,'ord"],mathop',1347,'op"],mathopen',1347,'open"],mathclose',1347,'close"],mathbin',1347,'bin"],mathrel',1347,'rel"],mathpunct',1347,'punct"],mathinner'],
  [':["','HandleAtom','","inner"],','mathchoice',':["Extension","',3,'"],buildrel:"','BuildRel','",hbox:"HBox",text:"HBox",mbox:"HBox",fbox',4,'fbox"],strut:"Strut",mathstrut',':["Macro","\\\\','vphantom','{(}"],','phantom',':["Phantom",','1,1],',12,15,'1,0],hphantom',15,'0,1],smash:"Smash",acute',':["MathAccent",[7,0,','19]],grave',22,'18]],ddot',22,'127]],tilde',22,'126]],bar',22,'22]],breve',22,'21]],check',22,'20]],hat',22,'94]],vec',':["MathAccent",[0,','1,126]],dot',22,'95]],widetilde',38,'3,101]],widehat',38,'3,98]],_',':["Replace","ord','","_","normal",-0.4,0.1]," ":["Replace","','ord","&nbsp;","normal','"],angle',46,'","&#x2220;","normal"],matrix:"Matrix",array:"Matrix",pmatrix:["Matrix','","(",")","c"],','cases:["Matrix","\\\\{",".",["l","l"],null,2],eqalign',':["Matrix",null,null,["','r","l"],[5/18],3,"D"],displaylines',54,'c"],null,3,"D"],cr:"','HandleRow','","\\\\":"',58,'",newline:"',58,'",noalign:"','HandleNoAlign','",eqalignno',54,'r","l","r"],[5/8,3],3,"D"],','leqalignno',54,67,'begin:"Begin",end:"End",tiny',':["HandleSize",','0],Tiny',72,'1],scriptsize',72,'2],small',72,'3],normalsize',72,'4],large',72,'5],Large',72,'6],LARGE',72,'7],huge',72,'8],Huge',72,'9],dots',11,'ldots"],newcommand',4,'newcommand"],','newenvironment',4,95,'def',4,95,'color',4,'HTML"],','href',4,'HTML"],"class":["','Extension','","',104,'style',4,104,'cssId',4,104,'unicode',4,104,'bbox',4,'bbox"],require:"Require","char":"Char"},','environments',':{array:"Array",matrix',':["Array",null,null,"','c"],pmatrix',':["Array',52,'bmatrix',127,'","[","]","c"],Bmatrix',127,'","\\\\{","\\\\}","c"],vmatrix',127,'","\\\\vert","\\\\vert","c"],Vmatrix',127,'","\\\\Vert","\\\\Vert","c"],cases',127,'","\\\\{",".","ll",null,2],eqnarray',125,'rcl",[5/18,5/18],3,"D"],equation:"Equation","equation*":"Equation",align',4,'AMSmath','"],"align','*":["Extension","AMSmath"],','aligned',4,143,'"],','multline',4,143,'"],"',150,145,'split',4,143,'"],gather',4,143,'"],"gather',145,'gathered',4,143,'"]},AddSpecial',':function(','A){for(var B in A){','jsMath.Parser.prototype','.special[',170,'[B]]=A[B]}},Error',168,'A){this.i=','this.string.length',';if(A','.error){','this.error','=A.error}else{if(!this',178,179,'=A}}},nextIsSpace',':function(){','return ','this.string.charAt(this.i',')==" "},trimSpaces',168,'A){','if(typeof (','A)!="string"){',185,'A}',185,'A.replace(/^\\s+|\\s','+/g,"")},','Process',168,'A){var ','C=','this.mlist.','data;','A','=jsMath.Parse(','A,C.font,C.size,C.style',');if(A',178,'this.Error','(A);','return null','}if(A.mlist.Length()==','0){',210,211,'1','){var B=','A.mlist.','Last();if(','B.atom&&B.type=="ord"&&B.nuc&&!B.sub&&!B.sup&&(B.nuc.type=="text"||B.nuc.type=="TeX")){',185,'B.nuc}}return{type:"mlist",mlist:A.mlist}},GetCommand',':function(){var ','A=/^([a-z]+|.) ?/i;var B=A.exec(','this.string.slice(this.i','));if(B){this.i+=B[1].','length;',185,'B[1]}this.i++;return" "},GetArgument',168,'B,C){while','(this.nextIsSpace()){this.i','++}','if(this.','i>=',176,'){','if(!C){',208,'("Missing',' argument for "+B)}',210,'}if(',186,')==this.close){',237,'this.Error("Extra close brace','")}',210,'}if(',186,')==this.cmd','){this.i++;','return this.','cmd+','this.GetCommand','()}if(',186,')!=this.open){',185,186,'++)}var A=++this.i;var D=1;var E="";','while(this.i<this.string.length){','E=',186,'++);if(','E','==this.cmd){this.i++}else{if(','E==this.open){D++}','else{if(','E==this.close){','if(D==0){',246,'");',210,'}if(--D==0){',253,'string.slice(','A,this.i-1)}}}}}',208,'("Missing close brace','");',210,'},','ProcessArg',168,'B){var ','A=','this.GetArgument(','B);','if(this.error){return',' null}',253,197,'(A)},ProcessScriptArg',168,'C){','var A=',288,'C);',290,291,'if(A.charAt(0)==this.cmd',216,'A.substr(1);if(B=="frac"){A+="{"+',288,'B)+"}";',290,291,'A+="{"+',288,'B)+"}";',290,' null}}else{if(B','=="sqrt"){A+="["+this.','GetBrackets','(B)+"]";',290,291,'A+="{"+',288,'B)+"}";',290,313,'.match(this.scriptargs)){A+="{"+',288,'B)+"}";',290,' null}}}}}',253,197,'(A)},GetDelimiter',168,'A){while',231,'++}var B=',186,');',233,'i<',176,252,'if(B','==this.cmd){','B="\\\\"+',255,'(A);',290,' null}}','if(','this.delimiter[','B]!=null){',253,'delimiter[','B]}}',208,239,' or unrecognized delimiter for "+A);',210,'},GetDimen',168,'A,D){var ','B;var C=0;if',231,'++}if(',186,')=="{"){B=',288,'A)}else{B=',224,');C=1}',253,'ParseDimen','(B,A,C,D)},',372,168,'C,B,D,E){',297,'C.match(/^\\s*([-+]?(\\.\\d+|\\d+(\\.\\d*)?))(pt|em|ex|mu|px)/);if(!A){',208,239,' dimension or its units for "+B);',210,'}if(D){this.i+=A[0].',226,'if',231,'++}}var F=A[1]-0;if(A[4]=="px"){F/=jsMath.em','}else{if(A[4]=="','pt"){F/=10',388,'ex"){F*=','jsMath.TeX','.x_height',388,'mu"){if(E){F=F/18}else{F=[F,"mu"]}}}}}',185,'F},GetNext',184,'while',231,'++}',185,186,')},',315,168,199,'D=this.','GetNext();if(','D!="["){return""}var C=++this.i;var B=0;',262,'D=',186,265,'D=="{"){B++}',269,'D=="}"){','if(B==0){',246,' while looking for',' \']\'");',210,'}B--}',269,'D',267,'D=="]"){',418,253,277,'C,this.i-1)}}}}}}',208,'("Couldn\'t find',' closing \']\' for argument to',' "+this.cmd','+A);',210,'},GetUpto',168,'B,C){while',231,'++}var F=this.i;var D=0;',262,'var E=',186,265,'E=="{"){D++}',269,'E=="}"){',271,246,420,435,'+C);',210,'}D--}',269,'E',343,'if(',224,',this.i+','5)=="begin"){D++;this.i+=4}',269,224,462,'3)=="end"){if(D>0){D--;this.i+=2}}}',271,'if(',224,462,'C.length)==C){E=',186,'+C.length);if(E.match(/[^a-z]/i)||!C.match(/[a-z]/i)){',297,'this.',277,'F,this.i-1);this.i+=C.',226,185,'A}}}this.i++}}}}',208,433,435,'+C+" for "+B);',210,'},','ProcessUpto',168,'B,C){var ','A=this.GetUpto(B,C);',290,291,253,197,'(A)},GetEnd',168,'C){var A="";var B="";while(B!=C){A+=this.GetUpto("begin{"+C+"}","end");',290,291,'B=','this.GetArgument(this.cmd','+"end");',290,348,185,'A},Space',':function(){},','Prime',168,'C',216,201,218,'B==null||(!B.atom&&B','.type!="box"&&','B','.type!="frac")){','B=','this.mlist.Add(jsMath.mItem.','Atom("ord",{type:null}))}','if(B.sup){',208,'("Prime causes double exponent',': use braces to clarify");return',' }var ','A="";while(C=="\'"){A+=this.cmd+"prime";C=this.',409,'C=="\'"){this.i++}}B.sup=this.',197,'(A);B.sup.isPrime=1},RaiseLower',168,199,'B','=this.GetDimen(this.cmd+','A,1);',290,526,'C','=this.ProcessScriptArg','(this.cmd+A',');',290,' }if(A=="lower"){B=-B}',201,'Add(new jsMath.mItem("','raise",{nuc:C,raise:B}))},MoveLeftRight',168,286,'A',535,'B,1);',290,526,'C','=this.ProcessArg(this.cmd+','B);',290,' }if(B=="moveleft"){A=-A}',520,'Space(A','));',520,'Atom("ord",C));',520,'Space(-A))},Require',168,199,'B=',502,436,290,' }B=','jsMath.Extension','.URL(B);if(','jsMath.Setup.','loaded[B]){','return }','this.Extension(null,[','B])},',108,168,'A,B){','jsMath.Translate','.restart=1;if(A','!=null){','delete ',170,'[B[1]||"macros"][A]}',574,'.Require(B[0],',584,'.asynchronous',');throw"restart"},Frac',168,286,'A',556,'B);',290,526,'C',556,'B);',290,' }',520,'Fraction("over",A,C))},Sqrt',168,286,408,315,'(','this.cmd+','B);',290,526,'A',556,'B);',290,' }var C=jsMath.mItem.Atom("','radical",A);','if(D!=""){C.root=this.',197,'(D);',290,' }}',201,'Add(C)},','Root',168,286,408,488,'(',614,'B,"of");',290,526,'A',556,'B);',290,622,623,'C.root=D;',201,630,7,168,199,'B=this.',488,541,',"over");',290,526,'D',556,'A);',290,622,'op",D);C.limits=1;C.sup=B;',201,630,'MakeBig',168,361,'C=D[0];var B=D[1]*jsMath.p_height;var E','=this.GetDelimiter(this.cmd+','A);',290,' }',520,'Atom(C,','jsMath.Box.Delimiter(','B,E,"T")))},Char',168,286,'A=',502,'+B);',290,526,'C=',502,'+B);',290,' }if(!',392,'[A]){',392,'[A]=[];',579,'jsMath.Font.URL(A',')])}else{',520,'Typeset(','jsMath.Box.TeX(C-0,A,"T",',201,'data.size',')))}},Matrix',168,'B,H){var E=',201,'data;var A=',502,'+B);',290,526,'G=','new jsMath.','Parser(A','+this.cmd+"\\\\",null,','E.size,H[5]||"T");G.matrix=B;G.row=[];G.table=[];G.rspacing=[];G.Parse();if(G',178,208,'(G);',578,'G.',58,'(',552,'var D','=jsMath.Box.','Layout(E.size,G.table,H[2]||null,H[3]||null,G.rspacing,H[4]||null);if(H[0]&&H[1]){var F=',677,'D.h+D','.d-jsMath.hd/4,this.delimiter[','H[0]],"T");var C=',677,'D.h+D',730,'H[1]],"T");D',726,'SetList([','F,D,C],E.style,E.size)}',520,'Atom((H','[0]?"inner":"ord"),','D))},HandleEntry',168,'B){','if(!this.','matrix){',208,'(B','+" can only appear in a matrix or array");return }if(',201,'data.openI',586,297,201,'Get(',201,751,206,'.left){',208,239,435,'+"right','")}else{',208,280,'")}}if(',201,'data.overI',586,201,'Over()}var D=',201,202,201,'Atomize(','D.style,D.size);','var C=',201,699,777,'C.entry=D.entry;delete D.entry;if(!C.entry){C.entry={}}this.row[','this.row.length',']=C;this.mlist=',713,'mList(null,null,D.size,D.style)},',58,168,'A,C){var B;',745,'matrix){',208,541,749,'A=="\\\\"){',653,315,541,');',290,' }if(B){',653,372,'(B,',614,'A,0,1)}}this.HandleEntry(A);if(!C||',783,'>1||this.row[0].format!="null"){this.table[this.table.length]=this.row}if(B){','this.rspacing[this.table.length',']=B}this.row=[]},',64,168,286,'A=',502,'+B);',290,526,'C=A.replace(/^.*(vskip|vspace)([^a-z])/i,"$2");if(C.length==A','.length){',578,'var ',408,372,'(C,',614,'RegExp.$1,0,1);',290,' }',809,']=(',809,']||0)+D},Array',168,490,'E=C[2];var I=C[3];if(!E){E=',502,'+"begin{"+B+"}");',290,' }}E=E.replace(/[^clr]/g,"");E=E.split("");var G=',201,707,'C[5]||"T";var K=this.GetEnd(B);',290,526,'F=',713,'Parser(K',715,'G.size,A);F.matrix=B;F.row=[];F.table=[];F.rspacing=[];F.Parse();if(F',178,208,'(F);',578,'F.',58,'(',552,'var H',726,'Layout(G.size,F.table,E,I,F.rspacing,C[4],C[6],C[7]);if(C[0]&&C[1]){var D=',677,'H.h+H',730,'C[0]],"T");var J=',677,'H.h+H',730,'C[1]],"T");H',726,737,'D,H,J],G.style,G.size)}',520,'Atom((C',741,'H))},Begin',168,199,'B=',502,436,290,' }if(B.match(/[^a-z*]/i)){',208,'(\'Invalid environment name "\'+B+\'"\');',578,745,123,'[B]){',208,'(\'Unknown environment "\'+B+\'"\');',578,'var C=this.',123,'[B];',190,'C',')=="string"){','C=[C]}this[C[0]](B,C.slice(1))},End',168,199,'B=',502,436,290,' }',208,541,'+"{"+B+"} without matching',435,'+"begin")},Equation',168,286,'A=this.GetEnd(B);',290,' }this.string=A+',224,');this.i=0},Spacer',168,'B,A){',520,561,'-0))},Hskip',168,286,'A',535,'B);',290,' }',520,561,'))},HBox',168,199,'C=',502,436,290,526,'B',726,'InternalMath(C,',201,702,');',520,699,'B))},Rule',168,'B,E){var A',535,552,290,526,'D',535,552,290,526,'F',535,552,290,' }D+=F;var C;if(D!=0){D=Math.max(1.05/jsMath.em,D)}if(D==0||A==0||E=="blank"){C=','jsMath.HTML.','Blank(A,D)}else{C=',966,'Rule(A,D)}if(F){C=\'<span style="vertical-align:\'+',966,'Em(-F)+\'">\'+C','+"</span>"}',520,699,713,'Box("html",C,A,D-F,F)))},Strut',222,'A=',201,702,';var B',726,'Text("","normal","T",A).Styled();B.bh=B.bd=0;B.h=0.8;B.d=0.3;B.w=B.Mw=0;',520,699,'B))},Phantom',168,490,'A',556,'B);',290,' }',201,546,14,'",{',14,':A,v:C[0],h:C[1]}))},Smash',168,490,'A',556,'B);',290,' }',201,546,'smash",{smash:A}))},MathAccent',168,'B,',199,'D',556,'B);',290,622,'accent",D);C.accent=A[0];',201,630,'NamedOp',168,'B,D){var ','A=(B.match(/[^acegm-su-z]/))?1:0;var E=(B.match(/[gjpqy]/))?0.2:0;if(D[1]){B=D[1]}var C=jsMath.mItem.','TextAtom("','op",B,',392,'.fam[0],A,E);if(D[0]!=null){C.limits=D[0]}',201,630,'Limits',168,'A,C',216,201,'Last();if(!B||B.type!="op"){',208,541,'+" is allowed only on operators");',578,'B.limits=C[0]},Macro',168,1023,'E=D[0];if(D[1]){var A=[];for(var C=0;C<D[1];C++){A[A.length]=',502,'+B);',290,' }}E=this.','SubstituteArgs','(A,E)}this.string=this.AddArgs(E,',224,'));this.i=0},',1049,168,'B,',199,'E="";var D="";var F;var C=0;while(C<A',820,'F=A.charAt(C++);if(F',343,'E+=F+A.charAt(C++)}',269,'F=="#"){',1059,'=="#"){E+=F}else{if(!F.match(/[1-9]/)||F>B',820,208,'("Illegal ','macro parameter ','reference");',210,'}',408,'AddArgs(this.AddArgs(D,E),B[F-1]);E=""}}else{E+=F}}}',253,'AddArgs(D,E)},AddArgs',168,920,'if(A.match(/^[a-z]/i)&&B.match(/(^|[^\\\\])(\\\\\\\\)*\\\\[a-z]+$/i)){B+=" "}',185,'B+A},Replace',168,583,520,'TextAtom(','B[0],B[1],B[2','],B[3]))},Hash',168,'A){',208,'("You can\'t use \'',1069,'character #\' in math mode")},Tilde',168,'A){',520,1025,48,'"))},HandleLap',168,199,653,284,'();',290,573,201,546,'lap",{nuc:B,lap:A}))},',1,168,490,'A',556,'B);',290,' }',520,'Atom(C[0],A))},HandleMathCode',168,'A,B','){this.HandleTeXchar(',1086,'])},HandleTeXchar',168,'B,A,C){if(B==7&&',201,'data.font',586,'A=',201,1128,'}A=',392,'.fam[A];if(!',392,'[A]){',392,'[A]=[];',579,696,')])}else{',520,'TeXAtom(',392,'.atom[B],C,A))}},','HandleVariable',168,'A',1122,'7,1',',A.charCodeAt(0))},','HandleNumber',168,'A',1122,'7,0',1152,'HandleOther',168,'A){',520,1025,'ord",A,"normal"))},HandleComment',222,'A;',262,'A=',186,265,'A=="\\r"||A=="\\n"){return }}},HandleStyle',168,583,201,'data.style=B[0];',201,546,'style",{style:B[0]}))},HandleSize',168,583,201,702,'=B[0];',201,546,'size",{size:B[0]}))},HandleFont',168,920,201,1128,'=A[0]},HandleCS',222,'B=',255,'();',290,' }',233,'macros[B]){',297,'this','.macros','[B];',190,'A',898,'A=[A]}this[A[0]](B,A.slice(1));',578,233,'mathchardef','[','B]){this.HandleMathCode(B,this.',1210,'[B]);',578,'if(',350,614,1212,353,614,'B].slice(0,3));',578,208,'("Unknown control sequence \'"+',614,'B+"\'")},HandleOpen',184,201,'Open()},HandleClose',184,'if(',201,751,'==null){',246,'");',578,297,201,'Get(',201,751,');if(!A||A.left',1235,201,'Close','()}else{',246,' or missing',435,763,'");return }},HandleLeft',168,199,'B',671,'A);',290,' }',201,'Open(B)},HandleRight',168,286,'C',671,'B);',290,526,'A=',201,'Get(',201,751,206,'&&A.left',586,201,'Close(C)}else{',208,'("Extra open brace or missing',435,'+"left")}},HandleOver',168,583,'if(',201,769,586,208,'("Ambiguous use of',435,436,578,201,769,'=',201,'Length();',201,'data.overF={name:A};if(B.length>0){',201,'data.overF.','left=',350,'B[0]];',201,1303,'right=',350,'B[1]]}',269,'A.match(/withdelims$/)){',201,1303,'left',671,'A);',290,' }',201,1303,'right',671,'A);',290,' }}else{',201,1303,'left=null;',201,1303,1309,'null}}if(A.match(/^above/)){',201,1303,'thickness',535,'A,1);',290,' }}else{',201,1303,'thickness=null}},HandleSuperscript',222,'A=',201,218,201,769,'==',201,'Length()){A=null}','if(A==null','||(!A.atom&&A',516,'A',518,'A=',520,521,'if(A.sup){if(A.sup.isPrime){A=',520,521,'else{',208,'("Double ','exponent',525,' }}A.sup',540,'("superscript");',290,' }},HandleSubscript',222,'A=',201,218,201,769,'==',201,'Length()){A=null}',1354,'||(!A.atom&&A',516,'A',518,'A=',520,521,'if(A.sub){',208,1367,'subscripts',525,' }A.sub',540,'("subscript");',290,' }},Parse',222,'B;',262,'B=',186,'++);',233,'mathchar[',1212,'mathchar[B])}else{',233,'special[B]){this[this',171,'B]](B)}else{',233,'letter','.test(B)){this.',1147,'(B)}else{',233,'number',1418,1153,1420,'this.',1159,'(B)}}}}}if(',201,751,586,297,201,'Get(',201,751,206,'.left){',208,239,435,763,764,208,280,'")}}if(',201,769,586,201,'Over()}},Atomize',222,'A=',201,'init;if(!this',178,201,776,'A.style,A.size)}},Typeset',222,'F=',201,'init;var ',408,'typeset=',201,699,'F.style,F.size);',290,'\'<','span class="','error">\'+',179,972,'if(D.format=="null"){return""}D.Styled().Remeasured();var E=0;var C=0;if(D.bh>D.h&&','D.bh>jsMath.h+0.001){','E=1}if(D.bd>D.d&&D.bd>jsMath.d+0.001){E=1}if(D.h>jsMath.h||D.d>jsMath.d){C=1}var B=D.html;if(E){if(','jsMath.Browser.','allowAbsolute){var G=0;if(',1476,'G=jsMath.h-D.bh}B=',966,'Absolute(B,D.w,jsMath.h,0,G)}',269,1478,'valignBug){','B=\'<span style="line-height:\'+jsMath.HTML.Em(jsMath.d',')+\';">\'+B',972,'else{',297,966,'Em(Math.max(0,D.bd-jsMath.hd)/3);',1487,')+"; position:relative; top:"+A+"; vertical-align:"+A+\'">\'+B+"</span>"}}C=1}if(C){B+=',966,'Blank(0,D.h+0.05,D.d+0.05)}return\'<nobr><',1471,'scale">\'+B+"</span></nobr>"}});',170,'.AddSpecial({cmd:"HandleCS",open:"HandleOpen",close:"HandleClose"});','jsMath.Add(jsMath,{','Macro',168,199,'C=',170,1202,';C[A]=["Macro"];for(var B=1;B<arguments.',226,'B++){C[A][C[A].length]=arguments[B]}}});',574,'={safeRequire:1,Macro',168,'A,',286,'C=',170,1202,';if(B',1235,'B=A}C[A]=["',108,'",B]},LaTeX',168,'B,',199,'C=',170,'.',123,';C[B]=["Extension",','A,"',123,'"]},Font',168,920,1354,'){A=B+"10"}var C=',170,1202,1532,696,')]},MathChar',168,'C,',199,'D=',392,'.famName[C','];if(D',1235,'D=',392,'.fam.',226,392,'.fam[D]=C;',392,1550,']=D}var B=',170,'.',1210,';for(var E in A){B[E]=[A[E][0],D,A[E][1]]}},Require',168,920,233,'safeRequire&&(B.match(/\\.\\.\\/|[^-a-z0-9.\\/:_+=%~]/i)||(B.match(/:/)&&B.substr(0,jsMath.root.length)!=jsMath.root))){',576,'loaded[B]=1;',578,576,'Script(this.URL(B),A)},URL',168,'A){A=',195,'+$/g,"");if(!A.match(/^([a-z]+:|\\/|fonts|extensions\\/)/i)){A="extensions/"+A}if(!A.match(/\\.js$/)){A+=".js"}',185,'A}};',1502,197,168,'A){',576,'Body();','jsMath.Script.','Push(',584,',"','Asynchronous','",A)},','ProcessBeforeShowing',168,'A){',576,1586,'var B=(','jsMath.Controls.cookie.','asynch?"',1591,'":"','Synchronous','");',1587,1588,584,',B,A)}});',584,'={element:[],cancel:0,Parse',168,'D,C,',199,'B=','jsMath.Global.','cache[D];if(!','B[jsMath.em',']){',1617,']={}}var F=',1617,'][C];if(!F||',199,'E',204,'C,null,null,D);E.Atomize();F=E.Typeset();if(!A){',1617,'][C]=F}}',185,'F},TextMode',168,'B,A){this.Parse("','T",B,A)},DisplayMode',168,1632,'D",B,A)},','GetElementText',168,199,653,'recursiveElementText','(A);A.alt=B;if(B.search("&")>=0){','B=B.replace(/&','lt;/g,"<");',1643,'gt;/g,">");',1643,'quot;/g,\'"\');',1643,'amp;/g,"&")}',185,'B},',1641,168,'B){if(','B.nodeValue',586,185,1656,'}if(','B.childNodes.length','==0){return" "}var C="";for(',297,'0;A<',1661,';A++){C+=this.',1641,'(B.childNodes[A])}',185,'C},ResetHidden',168,'A){A.innerHTML=\'<',1471,'jsMath_hiddenSpan" style="position:absolute"></span>\'+',1478,'operaHiddenFix;A','.className','="";','jsMath.hidden','=A.firstChild;if(!jsMath.BBoxFor("x").w){','jsMath.hidden=jsMath.hiddenTop','}jsMath.ReInit()},ConvertMath',168,'C,B,',199,408,1637,'(B);this.ResetHidden(B);if(D.match(/^\\s*\\\\nocache([^a-zA-Z])/)){A=true;D=D.replace(/\\s*\\\\nocache/,"")}',408,'Parse(C,D,A);B',1677,'="typeset";B.innerHTML=D},ProcessElement',168,'C){this.restart=0;if(!C',1677,'.match(/(^| )math( |$)/)){',578,'var A=(C',1677,'.toLowerCase','().match(/(^| )nocache( |$)/)!=null);try{var D=(C.tagName',1700,'()=="div"?"D":"T");this.ConvertMath(D,C,A);C.onclick=jsMath.Click.CheckClick;C.ondblclick=jsMath.Click.CheckDblClick}catch(E){if(C.alt',216,'C.alt;B=B.replace(/&/g,"&amp',';");B=B.replace','(/</g,"&lt',1706,'(/>/g,"&gt;");C.innerHTML=B;C',1677,'="math";if(A){C',1677,'+=" nocache"}}',1681,'}},','ProcessElements',168,'B){',1587,'blocking=','1;if(B>=','this.element.length','||this.cancel){this.','ProcessComplete','();',233,'cancel){','jsMath.Message.','Set("',197,' Math: Canceled");',1728,'Clear()}',1587,1720,'0;',1587,197,1248,297,1587,'SaveQueue();','this.ProcessElement(this.element[','B]);',1587,'RestoreQueue(A);',233,'restart){',1587,1588,'this,"',1716,'",B);',1587,1720,'0;setTimeout("',1587,197,'()",',1478,'delay)}else{B++;var C=Math.floor(100*B/',1722,');','jsMath.Message.Set("Processing Math',': "+C+"%");setTimeout("',584,'.',1716,'("+B+")",',1478,'delay)}}},',1591,168,'A','){if(!jsMath.initialized){jsMath.Init()}this.element=this.GetMathElements(','A);',1587,1720,'1;this.cancel=0;this',593,'=1;',1764,': 0%",1);setTimeout("',584,'.',1716,'(0)",',1478,'delay)},',1603,168,920,1354,1775,'B);A=0}this',593,'=0;while(A<',1722,'){',1743,'A]);',233,'restart){','jsMath.Synchronize','("',584,'.',1603,'(null,"+A+")");',1587,197,'();',578,'A++}this.',1724,'(1)},GetMathElements',168,'D){var B=[];var A;if(!D){D=','jsMath.document','}',190,'D',898,'D=',1819,'.getElementById(D)}if(!','D.getElementsByTagName','){',210,'}var C=',1827,'("div','");for(A=0;A<C.length;A++){if(C[A].className&&C[A].className.match(/(^| )math( |$)/)){if(jsMath.Browser.renameOK&&D.getElementsByName){C[A].setAttribute("name","_jsMath_")}else{B[B.length]=C[A]}}}','C=',1827,'("span',1833,'if(',1478,'renameOK','&&D','.getElementsByName','){B=D',1842,'("_jsMath_','")}',269,1679,'.sourceIndex','){B.sort(function(F,E){',185,'F',1849,'-E',1849,'})}}',185,'B},',1724,168,'C){if(',1478,1840,216,1819,1842,1845,'");for(',297,'B.length-1;A>=0;A--){B[A].removeAttribute("name")}}',1681,';this.element=[];this.restart=null;',237,1764,': Done");',1728,'Clear()}',1728,'UnBlank();if(',1478,'safariImgBug&&(',1599,'font=="symbol"||',1599,'font=="image")){',233,'timeout){clearTimeout(this.timeout)}this.timeout=setTimeout("','jsMath.window.resizeBy','(-1,0); ',1888,'(1,0); ',584,'.timeout = null",2000)}},Cancel',184,584,'.cancel=1;if(',1587,'cancelTimer){',1587,'cancelLoad()}}};',1502,'ConvertTeX',168,'A){',1587,'Push(jsMath.tex2math,"',1902,1592,'ConvertTeX2',168,'A){',1587,1906,1909,1592,'ConvertLaTeX',168,'A){',1587,1906,1916,1592,'ConvertCustom',168,'A){',1587,1906,1923,1592,'CustomSearch',168,'C,B,A,D){',1587,1588,'null,function(){jsMath.tex2math.',1930,'(C,B,A,D)})},tex2math:{',1902,508,1909,508,1916,508,1923,508,1930,':function(){}}});',1804,'=',1587,'Synchronize;try{if(','window.parent','!=window&&window.jsMathAutoload){',1952,'.jsMath=jsMath;',1819,'=',1952,'.document;jsMath.window=',1952,'}}catch(err){}',1615,'Register();jsMath.Loaded();jsMath.Controls.GetCookie();',576,'Source();',1615,'Init();',1587,'Init();',576,'Fonts();if(',1819,'.body){',576,'Body()}',576,'User("onload")}};']

]);
//end = new Date().getTime();
//alert(end-start);
